import { findSelectedNodeOfType, findParentNode } from 'prosemirror-utils';
import { VTooltip } from 'v-tooltip';
import { Mark, Plugin, Node, EditorMenuBar, EditorContent, Editor } from 'tiptap';
import { Blockquote as Blockquote$1, ListItem as ListItem$1, CodeBlock, HorizontalRule, HardBreak, BulletList, OrderedList, TodoItem, TodoList, Bold, Code, Italic, Link, Strike, Underline, History } from 'tiptap-extensions';
import { nodeInputRule, setBlockType, textblockTypeInputRule } from 'tiptap-commands';

function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}

function _defineProperties(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor) descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}

function _createClass(Constructor, protoProps, staticProps) {
  if (protoProps) _defineProperties(Constructor.prototype, protoProps);
  if (staticProps) _defineProperties(Constructor, staticProps);
  return Constructor;
}

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly) symbols = symbols.filter(function (sym) {
      return Object.getOwnPropertyDescriptor(object, sym).enumerable;
    });
    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread2(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _inherits(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function");
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      writable: true,
      configurable: true
    }
  });
  if (superClass) _setPrototypeOf(subClass, superClass);
}

function _getPrototypeOf(o) {
  _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
    return o.__proto__ || Object.getPrototypeOf(o);
  };
  return _getPrototypeOf(o);
}

function _setPrototypeOf(o, p) {
  _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
    o.__proto__ = p;
    return o;
  };

  return _setPrototypeOf(o, p);
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Date.prototype.toString.call(Reflect.construct(Date, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

function _objectWithoutProperties(source, excluded) {
  if (source == null) return {};

  var target = _objectWithoutPropertiesLoose(source, excluded);

  var key, i;

  if (Object.getOwnPropertySymbols) {
    var sourceSymbolKeys = Object.getOwnPropertySymbols(source);

    for (i = 0; i < sourceSymbolKeys.length; i++) {
      key = sourceSymbolKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
      target[key] = source[key];
    }
  }

  return target;
}

function _assertThisInitialized(self) {
  if (self === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return self;
}

function _possibleConstructorReturn(self, call) {
  if (call && (typeof call === "object" || typeof call === "function")) {
    return call;
  }

  return _assertThisInitialized(self);
}

function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = _getPrototypeOf(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = _getPrototypeOf(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return _possibleConstructorReturn(this, result);
  };
}

function _slicedToArray(arr, i) {
  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
}

function _arrayWithHoles(arr) {
  if (Array.isArray(arr)) return arr;
}

function _iterableToArrayLimit(arr, i) {
  if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr))) return;
  var _arr = [];
  var _n = true;
  var _d = false;
  var _e = undefined;

  try {
    for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
      _arr.push(_s.value);

      if (i && _arr.length === i) break;
    }
  } catch (err) {
    _d = true;
    _e = err;
  } finally {
    try {
      if (!_n && _i["return"] != null) _i["return"]();
    } finally {
      if (_d) throw _e;
    }
  }

  return _arr;
}

function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;

  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

  return arr2;
}

function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}

function _createForOfIteratorHelper(o, allowArrayLike) {
  var it;

  if (typeof Symbol === "undefined" || o[Symbol.iterator] == null) {
    if (Array.isArray(o) || (it = _unsupportedIterableToArray(o)) || allowArrayLike && o && typeof o.length === "number") {
      if (it) o = it;
      var i = 0;

      var F = function () {};

      return {
        s: F,
        n: function () {
          if (i >= o.length) return {
            done: true
          };
          return {
            done: false,
            value: o[i++]
          };
        },
        e: function (e) {
          throw e;
        },
        f: F
      };
    }

    throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  var normalCompletion = true,
      didErr = false,
      err;
  return {
    s: function () {
      it = o[Symbol.iterator]();
    },
    n: function () {
      var step = it.next();
      normalCompletion = step.done;
      return step;
    },
    e: function (e) {
      didErr = true;
      err = e;
    },
    f: function () {
      try {
        if (!normalCompletion && it.return != null) it.return();
      } finally {
        if (didErr) throw err;
      }
    }
  };
}

function nodeIsActive(state, type) {
  var attrs = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

  var predicate = function predicate(node) {
    return node.type === type;
  };

  var node = findSelectedNodeOfType(type)(state.selection) || findParentNode(predicate)(state.selection);

  if (!Object.keys(attrs).length || !node) {
    return !!node;
  }

  function nodeHasAttrs(node, attrs) {
    return Object.keys(attrs).every(function (attrName) {
      return attrs[attrName] == node.attrs[attrName];
    });
  }

  return node.node.type == type && nodeHasAttrs(node.node, attrs);
}

var FontSize = /*#__PURE__*/function (_Mark) {
  _inherits(FontSize, _Mark);

  var _super = _createSuper(FontSize);

  function FontSize() {
    _classCallCheck(this, FontSize);

    return _super.apply(this, arguments);
  }

  _createClass(FontSize, [{
    key: "commands",
    value: function commands(_ref) {
      var type = _ref.type;
      return function (attrs) {
        return function (state, dispatch) {
          var _state$selection = state.selection,
              from = _state$selection.from,
              to = _state$selection.to,
              empty = _state$selection.empty;
          var tr;

          if (!empty) {
            tr = state.tr.addMark(from, to, type.create(attrs));
          } else {
            tr = state.tr.addStoredMark(type.create(attrs));
          }

          dispatch(tr.scrollIntoView());
          return true;
        };
      };
    }
  }, {
    key: "name",
    get: function get() {
      return 'fontsize';
    }
  }, {
    key: "defaultOptions",
    get: function get() {
      return {
        sizes: [14, 16, 20]
      };
    }
  }, {
    key: "schema",
    get: function get() {
      var _this = this;

      return {
        attrs: {
          size: {
            "default": 16
          }
        },
        parseDOM: [{
          style: 'font-size',
          //getAttrs: mark => ({ fontSize: 'fontSize' in mark.style ? mark.style.fontSize : '' })
          getAttrs: function getAttrs(mark) {
            // debugger
            var r = _this.options.sizes.includes(+mark.slice(0, mark.length - 2));

            return r ? {
              size: +mark.slice(0, mark.length - 2)
            } : null;
          }
        }],
        toDOM: function toDOM(node) {
          return ['span', node.attrs.size != 16 ? {
            style: "font-size: ".concat(node.attrs.size, "px")
          } : {}, 0];
        }
      };
    }
  }]);

  return FontSize;
}(Mark);

var Color = /*#__PURE__*/function (_Mark) {
  _inherits(Color, _Mark);

  var _super = _createSuper(Color);

  function Color() {
    _classCallCheck(this, Color);

    return _super.apply(this, arguments);
  }

  _createClass(Color, [{
    key: "commands",
    value: function commands(_ref) {
      var type = _ref.type;
      return function (attrs) {
        return function (state, dispatch) {
          var _state$selection = state.selection,
              from = _state$selection.from,
              to = _state$selection.to,
              empty = _state$selection.empty;
          var tr;

          if (!empty) {
            tr = state.tr.addMark(from, to, type.create(attrs));
          } else {
            tr = state.tr.addStoredMark(type.create(attrs));
          }

          dispatch(tr.scrollIntoView());
          return true;
        };
      };
    }
  }, {
    key: "name",
    get: function get() {
      return 'color';
    }
  }, {
    key: "schema",
    get: function get() {
      return {
        attrs: {
          color: {
            "default": '#000000'
          }
        },
        parseDOM: [{
          style: 'color',
          getAttrs: function getAttrs(mark) {
            return {
              color: mark
            };
          }
        }],
        toDOM: function toDOM(node) {
          return ['span', {
            style: "color: ".concat(node.attrs.color)
          }, 0];
        }
      };
    }
  }]);

  return Color;
}(Mark);

var ColorFill = /*#__PURE__*/function (_Mark) {
  _inherits(ColorFill, _Mark);

  var _super = _createSuper(ColorFill);

  function ColorFill() {
    _classCallCheck(this, ColorFill);

    return _super.apply(this, arguments);
  }

  _createClass(ColorFill, [{
    key: "commands",
    value: function commands(_ref) {
      var type = _ref.type;
      return function (attrs) {
        return function (state, dispatch) {
          var _state$selection = state.selection,
              from = _state$selection.from,
              to = _state$selection.to,
              empty = _state$selection.empty;
          var tr;

          if (!empty) {
            tr = state.tr.addMark(from, to, type.create(attrs));
          }

          tr = state.tr.addStoredMark(type.create(attrs));
          dispatch(tr.scrollIntoView());
          return true;
        };
      };
    }
  }, {
    key: "name",
    get: function get() {
      return 'fill';
    }
  }, {
    key: "schema",
    get: function get() {
      return {
        attrs: {
          color: {
            "default": '#ffffff'
          }
        },
        parseDOM: [{
          style: 'background-color',
          getAttrs: function getAttrs(mark) {
            return {
              color: mark
            };
          }
        }],
        toDOM: function toDOM(node) {
          return ['span', {
            style: "background-color: ".concat(node.attrs.color)
          }, 0];
        }
      };
    }
  }]);

  return ColorFill;
}(Mark);

/**
 * Matches following attributes in Markdown-typed image: [, alt, src, title]
 *
 * Example:
 * ![Lorem](image.jpg) -> [, "Lorem", "image.jpg"]
 * ![](image.jpg "Ipsum") -> [, "", "image.jpg", "Ipsum"]
 * ![Lorem](image.jpg "Ipsum") -> [, "Lorem", "image.jpg", "Ipsum"]
 */

var IMAGE_INPUT_REGEX = /!\[(.+|:?)\]\((\S+)(?:(?:\s+)["'](\S+)["'])?\)/;
var IMAGE_TYPES = ['image/jpeg', 'image/png', 'image/jpg', 'image/gif'];

var Image = /*#__PURE__*/function (_Node) {
  _inherits(Image, _Node);

  var _super3 = _createSuper(Image);

  _createClass(Image, [{
    key: "name",
    get: function get() {
      return 'image';
    }
  }]);

  function Image(options) {
    var _this4;

    _classCallCheck(this, Image);

    _this4 = _super3.call(this, options);

    if (typeof options.provider != 'function') {
      _this4.provider = options.provider;
    } else {
      _this4.provider = null;
    }

    return _this4;
  }

  _createClass(Image, [{
    key: "_upload",
    value: function _upload(file) {
      return new Promise(function (resolve, reject) {
        var reader = new FileReader();

        reader.onload = function (event) {
          resolve(event.target.result);
        };

        reader.readAsDataURL(file);
      });
    }
  }, {
    key: "upload",
    value: function upload(file) {
      var _this5 = this;

      if (this.provider) {
        return this._upload(file);
      }

      var provider = this.options.provider;

      if (typeof provider == 'function') {
        var result = provider();

        if (result.then) {
          return result.then(function (res) {
            _this5.provider = res;
            return _this5._upload(file);
          });
        } else {
          this.provider = result;
        }
      }

      return this._upload(file);
    }
  }, {
    key: "uploadImage",
    value: function uploadImage(file, view, pos) {
      this.upload(file).then(function (src) {
        var node = schema.nodes.image.create({
          src: src
        });
        var transaction = view.state.tr.insert(pos, node);
        view.dispatch(transaction);
      });
    }
  }, {
    key: "commands",
    value: function commands(_ref) {
      var type = _ref.type;
      return function (attrs) {
        return function (state, dispatch) {
          var selection = state.selection;
          var position = selection.$cursor ? selection.$cursor.pos : selection.$to.pos;
          var node = type.create(attrs);
          var transaction = state.tr.insert(position, node);
          dispatch(transaction);
        };
      };
    }
  }, {
    key: "inputRules",
    value: function inputRules(_ref2) {
      var type = _ref2.type;
      return [nodeInputRule(IMAGE_INPUT_REGEX, type, function (match) {
        var _match = _slicedToArray(match, 4),
            alt = _match[1],
            src = _match[2],
            title = _match[3];

        return {
          src: src,
          alt: alt,
          title: title
        };
      })];
    }
  }, {
    key: "schema",
    get: function get() {
      return {
        inline: true,
        attrs: {
          src: {},
          alt: {
            "default": null
          },
          title: {
            "default": null
          }
        },
        group: 'inline',
        draggable: true,
        parseDOM: [{
          tag: 'img[src]',
          getAttrs: function getAttrs(dom) {
            return {
              src: dom.getAttribute('src'),
              title: dom.getAttribute('title'),
              alt: dom.getAttribute('alt')
            };
          }
        }],
        toDOM: function toDOM(node) {
          return ['img', node.attrs];
        }
      };
    }
  }, {
    key: "plugins",
    get: function get() {
      var that = this;
      return [new Plugin({
        props: {
          handleDOMEvents: {
            paste: function paste(view, event) {
              var selection = view.state.selection;
              var pos = selection.$cursor ? selection.$cursor.pos : selection.$to.pos;

              var _iterator = _createForOfIteratorHelper(event.clipboardData.items),
                  _step;

              try {
                for (_iterator.s(); !(_step = _iterator.n()).done;) {
                  var item = _step.value;

                  if (item.kind === 'file') {
                    if (!IMAGE_TYPES.includes(item.type)) {
                      return Promise.reject('不支持该文件类型');
                    }

                    event.preventDefault();
                    var blob = item.getAsFile();
                    that.uploadImage(blob, view, pos);
                  }
                }
              } catch (err) {
                _iterator.e(err);
              } finally {
                _iterator.f();
              }
            },
            drop: function drop(view, event) {
              var hasFiles = event.dataTransfer && event.dataTransfer.files && event.dataTransfer.files.length;

              if (!hasFiles) {
                return;
              }

              var images = Array.from(event.dataTransfer.files).filter(function (file) {
                return /image/i.test(file.type);
              });

              if (images.length === 0) {
                return;
              }

              event.preventDefault();
              var coordinates = view.posAtCoords({
                left: event.clientX,
                top: event.clientY
              });
              images.forEach(function (image) {
                that.uploadImage(image, view, coordinates.pos);
              });
            }
          }
        }
      })];
    }
  }]);

  return Image;
}(Node);

var ALIGN_PATTERN = /(left|right|center|justify)/;
var ParagraphAttrs = {
  align: {
    "default": null
  }
};

var Paragraph = /*#__PURE__*/function (_Node) {
  _inherits(Paragraph, _Node);

  var _super = _createSuper(Paragraph);

  function Paragraph() {
    _classCallCheck(this, Paragraph);

    return _super.apply(this, arguments);
  }

  _createClass(Paragraph, [{
    key: "commands",
    value: function commands(_ref) {
      var type = _ref.type;
      return function () {
        return setBlockType(type);
      };
    }
  }, {
    key: "name",
    get: function get() {
      return 'paragraph';
    }
  }, {
    key: "schema",
    get: function get() {
      return {
        attrs: ParagraphAttrs,
        content: 'inline*',
        group: 'block',
        draggable: false,
        parseDOM: [{
          tag: 'p',
          getAttrs: getAttrs
        }],
        toDOM: toDOM
      };
    }
  }]);

  return Paragraph;
}(Node);

function getAttrs(dom) {
  var textAlign = dom.style.textAlign;
  var align = dom.getAttribute('align') || textAlign || '';
  align = ALIGN_PATTERN.test(align) ? align : null;
  return {
    align: align
  };
}

function toDOM(node) {
  var align = node.attrs.align;
  var attrs = {};
  var style = '';

  if (align && align !== 'left') {
    style += "text-align: ".concat(align, ";");
  }

  style && (attrs.style = style);
  return ['p', attrs, 0];
}

var toParagraphDOM = toDOM;
var getParagraphNodeAttrs = getAttrs;

var Heading = /*#__PURE__*/function (_Node) {
  _inherits(Heading, _Node);

  var _super = _createSuper(Heading);

  function Heading() {
    _classCallCheck(this, Heading);

    return _super.apply(this, arguments);
  }

  _createClass(Heading, [{
    key: "commands",
    value: function commands(_ref) {
      var type = _ref.type,
          schema = _ref.schema;
      return function (attrs) {
        // debugger
        return function (state, dispatch, view) {
          var predicate = function predicate(node) {
            return node.type === type;
          };

          var node = findSelectedNodeOfType(type)(state.selection) || findParentNode(predicate)(state.selection);

          if (!node) {
            var current = findSelectedNodeOfType(function () {
              return true;
            })(state.selection) || findParentNode(function () {
              return true;
            })(state.selection);
            return setBlockType(type, _objectSpread2(_objectSpread2({}, current.node.attrs), attrs))(state, dispatch, view);
          }

          var _node$node$attrs = node.node.attrs,
              level = _node$node$attrs.level,
              otherAttrs = _objectWithoutProperties(_node$node$attrs, ["level"]);

          if (level != attrs.level) {
            return setBlockType(type, _objectSpread2(_objectSpread2({}, otherAttrs), {}, {
              level: attrs.level
            }))(state, dispatch, view);
          } else {
            return setBlockType(schema.nodes.paragraph, otherAttrs)(state, dispatch, view);
          }
        };
      };
    }
  }, {
    key: "keys",
    value: function keys(_ref2) {
      var type = _ref2.type;
      return this.options.levels.reduce(function (items, level) {
        return _objectSpread2(_objectSpread2({}, items), _defineProperty({}, "Shift-Ctrl-".concat(level), setBlockType(type, {
          level: level
        })));
      }, {});
    }
  }, {
    key: "inputRules",
    value: function inputRules(_ref3) {
      var type = _ref3.type;
      return this.options.levels.map(function (level) {
        return textblockTypeInputRule(new RegExp("^(#{1,".concat(level, "})\\s$")), type, function () {
          return {
            level: level
          };
        });
      });
    }
  }, {
    key: "name",
    get: function get() {
      return 'heading';
    }
  }, {
    key: "defaultOptions",
    get: function get() {
      return {
        levels: [1, 2, 3, 4, 5, 6]
      };
    }
  }, {
    key: "schema",
    get: function get() {
      return {
        attrs: _objectSpread2(_objectSpread2({}, ParagraphAttrs), {}, {
          level: {
            "default": 1
          }
        }),
        content: 'inline*',
        group: 'block',
        defining: true,
        draggable: false,
        parseDOM: this.options.levels.map(function (level) {
          return {
            tag: "h".concat(level),
            getAttrs: function getAttrs(dom) {
              var attrs = getParagraphNodeAttrs(dom);
              attrs.level = level;
              return attrs;
            }
          };
        }),
        toDOM: function toDOM(node) {
          var dom = toParagraphDOM(node);
          var level = node.attrs.level || 1;
          dom[0] = "h".concat(level);
          return dom;
        }
      };
    }
  }]);

  return Heading;
}(Node);

var Blockquote = /*#__PURE__*/function (_BQ) {
  _inherits(Blockquote, _BQ);

  var _super = _createSuper(Blockquote);

  function Blockquote() {
    _classCallCheck(this, Blockquote);

    return _super.apply(this, arguments);
  }

  _createClass(Blockquote, [{
    key: "schema",
    get: function get() {
      return {
        attrs: ParagraphAttrs,
        content: 'block*',
        group: 'block',
        defining: true,
        draggable: false,
        parseDOM: [{
          tag: 'blockquote',
          getAttrs: function getAttrs(dom) {
            var attrs = getParagraphNodeAttrs(dom);
            return attrs;
          }
        }],
        toDOM: function toDOM(node) {
          var dom = toParagraphDOM(node);
          dom[0] = 'blockquote';
          return dom;
        }
      };
    }
  }]);

  return Blockquote;
}(Blockquote$1);

var Video = /*#__PURE__*/function (_Node) {
  _inherits(Video, _Node);

  var _super = _createSuper(Video);

  function Video() {
    _classCallCheck(this, Video);

    return _super.apply(this, arguments);
  }

  _createClass(Video, [{
    key: "commands",
    value: function commands(_ref) {
      var type = _ref.type;
      return function (attrs) {
        return function (state, dispatch) {
          var selection = state.selection;
          var position = selection.$cursor ? selection.$cursor.pos : selection.$to.pos;
          var node = type.create(attrs);
          var transaction = state.tr.insert(position, node);
          dispatch(transaction);
        };
      };
    }
  }, {
    key: "name",
    get: function get() {
      return 'video';
    }
  }, {
    key: "schema",
    get: function get() {
      return {
        inline: true,
        attrs: {
          src: {},
          controls: {
            "default": true
          }
        },
        group: 'inline',
        draggable: false,
        parseDOM: [{
          tag: 'video',
          getAttrs: function getAttrs(dom) {
            return {
              src: dom.firstElementChild.getAttribute('src'),
              controls: dom.hasAttribute('controls')
            };
          }
        }],
        toDOM: function toDOM(node) {
          var video = document.createElement('video');
          video.controls = node.attrs.controls;
          var source = document.createElement('source');
          video.appendChild(source);
          source.src = node.attrs.src;
          return video;
        }
      };
    }
  }]);

  return Video;
}(Node);

var Embed = /*#__PURE__*/function (_Node) {
  _inherits(Embed, _Node);

  var _super = _createSuper(Embed);

  function Embed() {
    _classCallCheck(this, Embed);

    return _super.apply(this, arguments);
  }

  _createClass(Embed, [{
    key: "commands",
    value: function commands(_ref) {
      var type = _ref.type;
      return function (attrs) {
        return function (state, dispatch) {
          var selection = state.selection;
          var position = selection.$cursor ? selection.$cursor.pos : selection.$to.pos;
          var node = type.create(attrs);
          var transaction = state.tr.insert(position, node);
          dispatch(transaction);
        };
      };
    }
  }, {
    key: "name",
    get: function get() {
      return 'embed';
    }
  }, {
    key: "schema",
    get: function get() {
      return {
        attrs: {
          src: {
            "default": null
          }
        },
        group: 'block',
        selectable: false,
        parseDOM: [{
          tag: 'iframe',
          getAttrs: function getAttrs(dom) {
            return {
              src: dom.getAttribute('src')
            };
          }
        }],
        toDOM: function toDOM(node) {
          return ['iframe', {
            src: node.attrs.src,
            frameborder: 0,
            allowfullscreen: 'true'
          }];
        }
      };
    }
  }]);

  return Embed;
}(Node);

var ListItem = /*#__PURE__*/function (_L) {
  _inherits(ListItem, _L);

  var _super = _createSuper(ListItem);

  function ListItem() {
    _classCallCheck(this, ListItem);

    return _super.apply(this, arguments);
  }

  _createClass(ListItem, [{
    key: "schema",
    get: function get() {
      return {
        attrs: ParagraphAttrs,
        content: 'paragraph block*',
        defining: true,
        draggable: false,
        parseDOM: [{
          tag: 'li',
          getAttrs: function getAttrs(dom) {
            var attrs = getParagraphNodeAttrs(dom);
            return attrs;
          }
        }],
        toDOM: function toDOM(node) {
          var dom = toParagraphDOM(node);
          dom[0] = 'li';
          return dom;
        }
      };
    }
  }]);

  return ListItem;
}(ListItem$1);

function setTextAlign(tr, schema, alignment) {
  var _tr = tr,
      selection = _tr.selection,
      doc = _tr.doc;

  if (!selection || !doc) {
    return tr;
  }

  var from = selection.from,
      to = selection.to;
  var nodes = schema.nodes;
  var blockquote = nodes.blockquote;
  var listItem = nodes.list_item;
  var heading = nodes.heading;
  var paragraph = nodes.paragraph;
  var tasks = [];
  alignment = alignment || null;
  var allowedNodeTypes = new Set([heading, paragraph, blockquote, listItem]);
  doc.nodesBetween(from, to, function (node, pos) {
    var nodeType = node.type;
    var align = node.attrs.align || null;

    if (align !== alignment && allowedNodeTypes.has(nodeType)) {
      tasks.push({
        node: node,
        pos: pos,
        nodeType: nodeType
      });
    }

    return true;
  });

  if (!tasks.length) {
    return tr;
  }

  tasks.forEach(function (job) {
    var node = job.node,
        pos = job.pos,
        nodeType = job.nodeType;
    var attrs = node.attrs;

    if (alignment) {
      attrs = _objectSpread2(_objectSpread2({}, attrs), {}, {
        align: alignment
      });
    } else {
      attrs = _objectSpread2(_objectSpread2({}, attrs), {}, {
        align: null
      });
    }

    tr = tr.setNodeMarkup(pos, nodeType, attrs, node.marks);
  });
  tr = tr.scrollIntoView();
  return tr;
}
var isActive = function isActive(state, align) {
  var selection = state.selection,
      doc = state.doc;
  var from = selection.from,
      to = selection.to;
  var keepLooking = true;
  var active = false;
  doc.nodesBetween(from, to, function (node) {
    if (keepLooking && node.attrs.align === align) {
      keepLooking = false;
      active = true;
    }

    return keepLooking;
  });
  return active;
};

var script = {
  name: 'RICHEDITOR',
  components: {
    EditorMenuBar: EditorMenuBar,
    EditorContent: EditorContent
  },
  props: {
    height: {
      type: String,
      required: false,
      "default": ''
    },
    value: {
      type: String,
      "default": ''
    },
    width: {
      required: false,
      "default": '810px',
      type: String
    },
    imageProvider: {
      required: true,
      type: [Object, Function]
    }
  },
  data: function data() {
    return {
      images_files: {},
      colorError: '',
      userColor: '',
      colorFill: false,
      fontSizePickerVisible: false,
      colorPickerVisible: false,
      currentFontSize: 16,
      videoPickerVisible: false,
      videoAddress: '',
      youtubeEmbed: '',
      linkMenuIsActive: false,
      linkUrl: null,
      editor: null
    };
  },
  computed: {
    headingLevels: function headingLevels() {
      return [1, 2, 3];
    },
    fontsizes: function fontsizes() {
      var fontsizes = [12, 14, 16, 18, 20, 24];
      return fontsizes;
    },
    colors: function colors() {
      var colors = ['rgb(0, 0, 0)', 'rgb(38, 38, 38)', 'rgb(89, 89, 89)', 'rgb(140, 140, 140)', 'rgb(191, 191, 191)', 'rgb(217, 217, 217)', 'rgb(233, 233, 233)', 'rgb(245, 245, 245)', 'rgb(250, 250, 250)', 'rgb(255, 255, 255)', 'rgb(245, 34, 45)', 'rgb(250, 84, 28)', 'rgb(250, 140, 22)', 'rgb(250, 219, 20)', 'rgb(82, 196, 26)', 'rgb(19, 194, 194)', 'rgb(24, 144, 255)', 'rgb(47, 84, 235)', 'rgb(114, 46, 209)', 'rgb(235, 47, 150)', 'rgb(255, 232, 230)', 'rgb(255, 236, 224)', 'rgb(255, 239, 209)', 'rgb(255, 248, 189)', 'rgb(228, 247, 210)', 'rgb(211, 245, 240)', 'rgb(212, 238, 252)', 'rgb(222, 232, 252)', 'rgb(239, 225, 250)', 'rgb(250, 225, 235)', 'rgb(255, 163, 158)', 'rgb(255, 187, 150)', 'rgb(255, 213, 145)', 'rgb(255, 240, 143)', 'rgb(183, 235, 143)', 'rgb(135, 232, 222)', 'rgb(145, 213, 255)', 'rgb(173, 198, 255)', 'rgb(211, 173, 247)', 'rgb(255, 173, 210)', 'rgb(255, 77, 79)', 'rgb(255, 122, 69)', 'rgb(255, 169, 64)', 'rgb(255, 236, 61)', 'rgb(115, 209, 61)', 'rgb(54, 207, 201)', 'rgb(64, 169, 255)', 'rgb(89, 126, 247)', 'rgb(146, 84, 222)', 'rgb(247, 89, 171)', 'rgb(207, 19, 34)', 'rgb(212, 56, 13)', 'rgb(212, 107, 8)', 'rgb(212, 177, 6)', 'rgb(56, 158, 13)', 'rgb(8, 151, 156)', 'rgb(9, 109, 217)', 'rgb(29, 57, 196)', 'rgb(83, 29, 171)', 'rgb(196, 29, 127)', 'rgb(130, 0, 20)', 'rgb(135, 20, 0)', 'rgb(135, 56, 0)', 'rgb(97, 71, 0)', 'rgb(19, 82, 0)', 'rgb(0, 71, 79)', 'rgb(0, 58, 140)', 'rgb(6, 17, 120)', 'rgb(34, 7, 94)', 'rgb(120, 6, 80)'];
      return colors;
    },
    imageUploader: function imageUploader() {
      var imageUploader = new Image({
        provider: this.imageProvider
      });
      return imageUploader;
    },
    state: function state() {
      return this.editor.state;
    },
    activeHeadingLevel: function activeHeadingLevel() {
      var _this = this;

      return this.headingLevels.find(function (level) {
        return _this.isHeadingActive({
          level: level
        });
      });
    }
  },
  watch: {
    userColor: function userColor() {
      this.colorError = '';
    },
    value: function value(newVal, oldVal) {
      if (!oldVal && newVal) {
        this.editor.setContent(newVal);
      }
    }
  },
  directives: {
    tooltip: VTooltip
  },
  mounted: function mounted() {
    var _this2 = this;

    this.editor = new Editor({
      extensions: [new Paragraph(), new FontSize({
        sizes: this.fontsizes
      }), this.imageUploader, new Blockquote(), new Video(), new Embed(), new CodeBlock(), new Color(), new ColorFill(), new HorizontalRule(), new HardBreak(), new Heading({
        levels: this.headingLevels
      }), new BulletList(), new OrderedList(), new ListItem(), new TodoItem(), new TodoList(), new Bold(), new Code(), new Italic(), new Link(), new Strike(), new Underline(), new History()],
      content: this.value,
      onUpdate: function onUpdate(_ref) {
        var getHTML = _ref.getHTML;

        _this2.$emit('input', getHTML().replace(/<p><\/p>/g, '<p><br></p>'));
      }
    });
    window.editor = this.editor;
    var pickers = [['fontSiziePicker', 'fontSizePickerVisible'], ['colorPicker', 'colorPickerVisible'], ['videoPicker', 'videoPickerVisible']];

    this.closePicker = function (event) {
      pickers.forEach(function (_ref2) {
        var _ref3 = _slicedToArray(_ref2, 2),
            ref = _ref3[0],
            visible = _ref3[1];

        if (!_this2.$refs[ref].contains(event.target)) {
          _this2[visible] = false;
        }
      });
    };

    document.addEventListener('click', this.closePicker);

    this.closeOnEsc = function (e) {
      if (e.key == 'Escape' || e.key == 'Esc') {
        // eslint-disable-next-line
        pickers.forEach(function (_ref4) {
          var _ref5 = _slicedToArray(_ref4, 2),
              _ = _ref5[0],
              visible = _ref5[1];

          _this2[visible] = false;
        });
      }
    };

    document.addEventListener('keyup', this.closeOnEsc);
  },
  beforeDestroy: function beforeDestroy() {
    document.removeEventListener('click', this.closePicker);
    document.removeEventListener('keyup', this.closeOnEsc);

    if (this.editor) {
      this.editor.destroy();
    }
  },
  methods: {
    showColorPicker: function showColorPicker() {
      var _this3 = this;

      this.colorPickerVisible = true;
      this.$nextTick(function () {
        _this3.$refs.colorPickerInput.focus();
      });
    },
    showVideoPicker: function showVideoPicker() {
      var _this4 = this;

      this.videoPickerVisible = true;
      this.$nextTick(function () {
        _this4.$refs.videoInput.focus();
      });
    },
    addVideo: function addVideo(command) {
      command({
        src: this.videoAddress
      });
      this.videoAddress = '';
      this.videoPickerVisible = false;
    },
    addYoutube: function addYoutube(command) {
      var embedSplited = this.youtubeEmbed.split('/');
      console.log(embedSplited);
      var embedUrl = embedSplited[embedSplited.length - 1];
      command({
        src: "https://www.youtube.com/embed/".concat(embedUrl)
      });
      this.youtubeEmbed = '';
      this.videoPickerVisible = false;
    },
    isHeadingActive: function isHeadingActive(_ref6) {
      var level = _ref6.level;
      return nodeIsActive(this.state, this.editor.schema.nodes.heading, {
        level: level
      });
    },
    isActiveAlign: function isActiveAlign(align) {
      return isActive(this.state, align);
    },
    align: function align(alignment) {
      window.editor = this.editor;
      var tr = setTextAlign(this.state.tr, this.editor.schema, alignment);
      this.editor.view.dispatch(tr);
    },
    findStoredFontSize: function findStoredFontSize() {
      var storedMark = (this.state.storedMarks || []).find(function (mark) {
        return mark.attrs.size;
      });

      if (storedMark) {
        return storedMark.attrs.size;
      }

      var prevNode = this.state.selection.$cursor && this.state.selection.$cursor.nodeBefore;

      if (prevNode) {
        var prevMark = prevNode.marks.find(function (mark) {
          return mark.attrs.size;
        });

        if (prevMark) {
          return prevMark.attrs.size;
        }
      }
    },
    activeFontSize: function activeFontSize(getMarkAttrs) {
      var size = this.findStoredFontSize();
      var selectSize = this.fontsizes.find(function (size) {
        return getMarkAttrs('fontsize').size == size;
      });

      if (selectSize) {
        return selectSize;
      }

      return size || 16;
    },
    isFontSizeActive: function isFontSizeActive(getMarkAttrs) {
      var size = this.findStoredFontSize(); // 默认大小就不要active了

      if (size == 16) {
        return false;
      }

      if (this.fontsizes.some(function (size) {
        return getMarkAttrs('fontsize').size == size;
      })) {
        return true;
      }

      return !!size;
    },
    selectFontSize: function selectFontSize(command, size) {
      command({
        size: size
      });
      this.fontSizePickerVisible = false;
    },
    selectColor: function selectColor(commands, color, validate) {
      if (validate) {
        var pattern = /^#[0-9a-fA-F]{6}$|^#[0-9a-fA-F]{3}$/;

        if (!pattern.test(color)) {
          this.colorError = '无效的色值';
          return;
        }
      }

      var command = this.colorFill ? commands.fill : commands.color;
      command({
        color: color
      });
      this.colorPickerVisible = false;
    },
    fileSelect: function fileSelect(event, command) {
      var _this5 = this;

      var file = event.target.files[0];
      this.imageUploader.upload(file).then(function (src) {
        _this5.images_files[file.name] = file;

        _this5.$emit('onUploadFile', file);

        command({
          'title': file.name,
          src: src
        });
      })["finally"](function () {
        _this5.$refs.uploadInput.value = '';
      });
    },
    showLinkMenu: function showLinkMenu(attrs) {
      var _this6 = this;

      this.linkUrl = attrs.href;
      this.linkMenuIsActive = true;
      this.$nextTick(function () {
        _this6.$refs.linkInput.focus();
      });
    }
  }
};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

const isOldIE = typeof navigator !== 'undefined' &&
    /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());
function createInjector(context) {
    return (id, style) => addStyle(id, style);
}
let HEAD;
const styles = {};
function addStyle(id, css) {
    const group = isOldIE ? css.media || 'default' : id;
    const style = styles[group] || (styles[group] = { ids: new Set(), styles: [] });
    if (!style.ids.has(id)) {
        style.ids.add(id);
        let code = css.source;
        if (css.map) {
            // https://developer.chrome.com/devtools/docs/javascript-debugging
            // this makes source maps inside style tags work properly in Chrome
            code += '\n/*# sourceURL=' + css.map.sources[0] + ' */';
            // http://stackoverflow.com/a/26603875
            code +=
                '\n/*# sourceMappingURL=data:application/json;base64,' +
                    btoa(unescape(encodeURIComponent(JSON.stringify(css.map)))) +
                    ' */';
        }
        if (!style.element) {
            style.element = document.createElement('style');
            style.element.type = 'text/css';
            if (css.media)
                style.element.setAttribute('media', css.media);
            if (HEAD === undefined) {
                HEAD = document.head || document.getElementsByTagName('head')[0];
            }
            HEAD.appendChild(style.element);
        }
        if ('styleSheet' in style.element) {
            style.styles.push(code);
            style.element.styleSheet.cssText = style.styles
                .filter(Boolean)
                .join('\n');
        }
        else {
            const index = style.ids.size - 1;
            const textNode = document.createTextNode(code);
            const nodes = style.element.childNodes;
            if (nodes[index])
                style.element.removeChild(nodes[index]);
            if (nodes.length)
                style.element.insertBefore(textNode, nodes[index]);
            else
                style.element.appendChild(textNode);
        }
    }
}

/* script */
var __vue_script__ = script;
/* template */

var __vue_render__ = function __vue_render__() {
  var _vm = this;

  var _h = _vm.$createElement;

  var _c = _vm._self._c || _h;

  return _vm.editor ? _c("div", {
    ref: "editor",
    staticClass: "vue-editor",
    style: {
      width: _vm.width
    }
  }, [_c("editor-menu-bar", {
    attrs: {
      editor: _vm.editor
    },
    scopedSlots: _vm._u([{
      key: "default",
      fn: function fn(ref) {
        var commands = ref.commands;
        var isActive = ref.isActive;
        var getMarkAttrs = ref.getMarkAttrs;
        return [_c("div", {
          staticClass: "menubar"
        }, [_c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "NEGRITA",
            expression: "'NEGRITA'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button",
          "class": {
            "is-active": isActive.bold()
          },
          attrs: {
            "aria-label": "NEGRITA",
            type: "button"
          },
          on: {
            click: commands.bold
          }
        }, [_c("svg", {
          attrs: {
            fill: "currentColor",
            viewBox: "0 0 24 24",
            width: "24",
            height: "24"
          }
        }, [_c("path", {
          attrs: {
            d: "M9 17.025V13h4.418c1.19 0 2.415.562 2.415 2.012s-1.608 2.013-2.9 2.013H9zM9 7h4.336c1 0 1.814.888 1.814 2 0 .89-.814 2-1.814 2H9V7zm8.192 1.899a3.893 3.893 0 0 0-3.888-3.889S9.334 5 8.167 5C7 5 7 6.167 7 6.167v11.666C7 19 8.167 19 8.167 19l5.572.01c2.333 0 4.231-1.86 4.231-4.148a4.122 4.122 0 0 0-1.77-3.372 3.873 3.873 0 0 0 .992-2.591z",
            "fill-rule": "evenodd"
          }
        })])]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "iTALICA",
            expression: "'iTALICA'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button",
          "class": {
            "is-active": isActive.italic()
          },
          attrs: {
            "aria-label": "iTALICA",
            type: "button"
          },
          on: {
            click: commands.italic
          }
        }, [_c("svg", {
          attrs: {
            fill: "currentColor",
            viewBox: "0 0 24 24",
            width: "24",
            height: "24"
          }
        }, [_c("path", {
          attrs: {
            d: "M15.751 5h-5.502a.751.751 0 0 0-.749.75c0 .417.336.75.749.75H12l-2 11H8.249a.751.751 0 0 0-.749.75c0 .417.336.75.749.75h5.502a.751.751 0 0 0 .749-.75.748.748 0 0 0-.749-.75H12l2-11h1.751a.751.751 0 0 0 .749-.75.748.748 0 0 0-.749-.75",
            "fill-rule": "evenodd"
          }
        })])]), _vm._v(" "), _c("div", {
          ref: "colorPicker",
          staticClass: "relative inline-block button-container"
        }, [_c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "COLOR",
            expression: "'COLOR'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button relative",
          "class": {
            "is-active": isActive.color() || isActive.fill()
          },
          attrs: {
            "aria-label": "COLOR",
            type: "button"
          },
          on: {
            click: _vm.showColorPicker
          }
        }, [_c("svg", {
          attrs: {
            xmlns: "http://www.w3.org/2000/svg",
            width: "24",
            height: "24",
            fill: "currentColor",
            viewBox: "0 0 24 24"
          }
        }, [_c("path", {
          attrs: {
            d: "M0 0h24v24H0z",
            fill: "none"
          }
        }), _vm._v(" "), _c("path", {
          attrs: {
            "fill-opacity": ".36",
            d: "M0 20h24v4H0z"
          }
        }), _vm._v(" "), _c("path", {
          attrs: {
            d: "M11 3L5.5 17h2.25l1.12-3h6.25l1.12 3h2.25L13 3h-2zm-1.38 9L12 5.67 14.38 12H9.62z"
          }
        })])]), _vm._v(" "), _vm.colorPickerVisible ? _c("div", {
          staticClass: "color-picker"
        }, [_c("div", {
          staticStyle: {
            display: "flex"
          }
        }, [_c("div", {
          staticClass: "cursor-pointer py-1 text-black flex-grow text-center",
          "class": {
            "text-primary-dark border-b-2 border-primary-dark": !_vm.colorFill
          },
          attrs: {
            tabindex: "0"
          },
          on: {
            click: function click($event) {
              _vm.colorFill = false;
            }
          }
        }, [_vm._v("\n              文字\n            ")]), _vm._v(" "), _c("div", {
          staticClass: "cursor-pointer py-1 text-black flex-grow text-center",
          "class": {
            "text-primary-dark border-b-2 border-primary-dark": _vm.colorFill
          },
          attrs: {
            tabindex: "0"
          },
          on: {
            click: function click($event) {
              _vm.colorFill = true;
            }
          }
        }, [_vm._v("\n              背景\n            ")])]), _vm._v(" "), _c("div", {
          staticClass: "flex flex-wrap py-4 px-2 justify-center"
        }, [_vm._l(_vm.colors, function (color) {
          return _c("div", {
            key: color
          }, [_c("button", {
            staticClass: "hover:border border-gray cursor-pointer",
            staticStyle: {
              "border-radius": "0px",
              width: "24px",
              height: "24px",
              border: "0",
              "margin-left": "2px",
              "margin-right": "2px"
            },
            style: {
              "background-color": color
            },
            attrs: {
              type: "button"
            },
            on: {
              click: function click($event) {
                return _vm.selectColor(commands, color);
              }
            }
          })]);
        }), _vm._v(" "), _c("div", {
          staticClass: "flex items-center",
          staticStyle: {
            "margin-top": "20px"
          }
        }, [_c("form", {
          staticClass: "flex",
          style: {
            "align-items": "flex-start"
          },
          on: {
            submit: function submit($event) {
              $event.preventDefault();
              return _vm.selectColor(commands, _vm.userColor, true);
            }
          }
        }, [_c("div", {
          staticClass: "flex flex-col"
        }, [_c("input", {
          directives: [{
            name: "model",
            rawName: "v-model.trim",
            value: _vm.userColor,
            expression: "userColor",
            modifiers: {
              trim: true
            }
          }],
          ref: "colorPickerInput",
          staticClass: "color-input",
          attrs: {
            maxlength: "7",
            placeholder: "#FFFFFF"
          },
          domProps: {
            value: _vm.userColor
          },
          on: {
            input: function input($event) {
              if ($event.target.composing) {
                return;
              }

              _vm.userColor = $event.target.value.trim();
            },
            blur: function blur($event) {
              return _vm.$forceUpdate();
            }
          }
        }), _vm._v(" "), _c("span", {
          staticClass: "error"
        }, [_vm._v(_vm._s(_vm.colorError))])]), _vm._v(" "), _c("button", {
          staticClass: "color-confirm-button",
          attrs: {
            type: "submit"
          }
        }, [_vm._v("\n                  GUARDAR\n                ")])])])], 2)]) : _vm._e()]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "IMAGEN",
            expression: "'IMAGEN'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button",
          attrs: {
            "aria-label": "IMAGEN",
            type: "button"
          },
          on: {
            click: function click($event) {
              return _vm.$refs.uploadInput.click();
            }
          }
        }, [_c("svg", {
          attrs: {
            fill: "currentColor",
            viewBox: "0 0 24 24",
            width: "24",
            height: "24"
          }
        }, [_c("path", {
          attrs: {
            d: "M21 17.444C21 18.3 20.1 19 19 19H5c-1.1 0-2-.7-2-1.556V6.556C3 5.7 3.9 5 5 5h14c1.1 0 2 .7 2 1.556v10.888zm-9.437-3.919a.5.5 0 0 1-.862.013l-1.26-2.065a.5.5 0 0 0-.861.012l-2.153 3.767a.5.5 0 0 0 .435.748h10.292a.5.5 0 0 0 .438-.741L14.573 9.78a.5.5 0 0 0-.872-.006l-2.138 3.75z",
            "fill-rule": "evenodd"
          }
        })])]), _vm._v(" "), _c("input", {
          ref: "uploadInput",
          staticStyle: {
            display: "none"
          },
          attrs: {
            type: "file"
          },
          on: {
            change: function change($event) {
              return _vm.fileSelect($event, commands.image);
            }
          }
        }), _vm._v(" "), _c("div", {
          ref: "videoPicker",
          staticClass: "relative inline-block button-container"
        }, [_c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "Video",
            expression: "'Video'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button",
          attrs: {
            "aria-label": "Video",
            type: "button"
          },
          on: {
            click: _vm.showVideoPicker
          }
        }, [_c("svg", {
          attrs: {
            fill: "currentColor",
            viewBox: "0 0 24 24",
            width: "24",
            height: "24"
          }
        }, [_c("path", {
          attrs: {
            d: "M0 0h24v24H0z",
            fill: "none"
          }
        }), _vm._v(" "), _c("path", {
          attrs: {
            d: "M17 10.5V7c0-.55-.45-1-1-1H4c-.55 0-1 .45-1 1v10c0 .55.45 1 1 1h12c.55 0 1-.45 1-1v-3.5l4 4v-11l-4 4z"
          }
        })])]), _vm._v(" "), _vm.videoPickerVisible ? _c("div", {
          staticClass: "video-picker"
        }, [_c("form", {
          on: {
            submit: function submit($event) {
              $event.preventDefault();
              return _vm.addVideo(commands.video);
            }
          }
        }, [_c("label", {
          attrs: {
            "for": "vue-editor-video-input"
          }
        }, [_vm._v("Url：")]), _vm._v(" "), _c("input", {
          directives: [{
            name: "model",
            rawName: "v-model",
            value: _vm.videoAddress,
            expression: "videoAddress"
          }],
          ref: "videoInput",
          staticClass: "video-input",
          staticStyle: {
            "margin-right": "12px"
          },
          attrs: {
            id: "vue-editor-video-input"
          },
          domProps: {
            value: _vm.videoAddress
          },
          on: {
            input: function input($event) {
              if ($event.target.composing) {
                return;
              }

              _vm.videoAddress = $event.target.value;
            }
          }
        }), _vm._v(" "), _c("button", {
          staticClass: "video-confirm-button",
          attrs: {
            type: "submit"
          }
        }, [_vm._v("Cargar")])]), _vm._v(" "), _c("form", {
          staticClass: "flex items-center",
          on: {
            submit: function submit($event) {
              $event.preventDefault();
              return _vm.addYoutube(commands.embed);
            }
          }
        }, [_c("label", {
          attrs: {
            "for": "vue-editor-video-input"
          }
        }, [_vm._v("Youtube embed")]), _vm._v(" "), _c("input", {
          directives: [{
            name: "model",
            rawName: "v-model",
            value: _vm.youtubeEmbed,
            expression: "youtubeEmbed"
          }],
          ref: "videoInput",
          staticClass: "video-input",
          staticStyle: {
            "margin-right": "12px"
          },
          attrs: {
            id: "vue-editor-youtube-input"
          },
          domProps: {
            value: _vm.youtubeEmbed
          },
          on: {
            input: function input($event) {
              if ($event.target.composing) {
                return;
              }

              _vm.youtubeEmbed = $event.target.value;
            }
          }
        }), _vm._v(" "), _c("button", {
          staticClass: "video-confirm-button",
          attrs: {
            type: "submit"
          }
        }, [_vm._v("Cargar")])])]) : _vm._e()]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "listado no numerado",
            expression: "'listado no numerado'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button",
          "class": {
            "is-active": isActive.bullet_list()
          },
          attrs: {
            "aria-label": "listado no numerado",
            type: "button"
          },
          on: {
            click: commands.bullet_list
          }
        }, [_c("svg", {
          attrs: {
            fill: "currentColor",
            viewBox: "0 0 24 24",
            width: "24",
            height: "24"
          }
        }, [_c("path", {
          attrs: {
            d: "M9 7c0-.552.456-1 .995-1h8.01c.55 0 .995.444.995 1 0 .552-.456 1-.995 1h-8.01A.995.995 0 0 1 9 7zM6 8a1 1 0 1 1 0-2 1 1 0 0 1 0 2zm0 5a1 1 0 1 1 0-2 1 1 0 0 1 0 2zm0 5a1 1 0 1 1 0-2 1 1 0 0 1 0 2zm3-6c0-.552.456-1 .995-1h8.01c.55 0 .995.444.995 1 0 .552-.456 1-.995 1h-8.01A.995.995 0 0 1 9 12zm0 5c0-.552.456-1 .995-1h8.01c.55 0 .995.444.995 1 0 .552-.456 1-.995 1h-8.01A.995.995 0 0 1 9 17z",
            "fill-rule": "evenodd"
          }
        })])]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "listado numerado",
            expression: "'listado numerado'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button",
          "class": {
            "is-active": isActive.ordered_list()
          },
          attrs: {
            "aria-label": "listado numerado",
            type: "button"
          },
          on: {
            click: commands.ordered_list
          }
        }, [_c("svg", {
          attrs: {
            fill: "currentColor",
            viewBox: "0 0 24 24",
            width: "24",
            height: "24"
          }
        }, [_c("path", {
          attrs: {
            d: "M9 6.5c0-.552.456-1 .995-1h8.01c.55 0 .995.444.995 1 0 .552-.456 1-.995 1h-8.01A.995.995 0 0 1 9 6.5zM5.884 7.893v-2.09h-.643L5.402 5h1.285v2.893h-.803zm.898 3.83l-.393.395h.862v.733H5v-.482l1.057-.892c.371-.312.461-.434.463-.566.003-.202-.135-.368-.396-.368-.289 0-.418.206-.418.43H5c0-.642.482-1.073 1.125-1.073s1.125.457 1.125.945c0 .307-.106.516-.468.877zM9 11.5c0-.552.456-1 .995-1h8.01c.55 0 .995.444.995 1 0 .552-.456 1-.995 1h-8.01a.995.995 0 0 1-.995-1zm0 5c0-.552.456-1 .995-1h8.01c.55 0 .995.444.995 1 0 .552-.456 1-.995 1h-8.01a.995.995 0 0 1-.995-1zm-1.759.624c0 .14-.025.27-.076.388a.902.902 0 0 1-.217.309 1.017 1.017 0 0 1-.336.205c-.13.05-.275.074-.437.074-.166 0-.32-.027-.462-.08a1.166 1.166 0 0 1-.367-.217 1.062 1.062 0 0 1-.246-.318.914.914 0 0 1-.1-.38v-.055h.765v.054a.343.343 0 0 0 .367.352c.117 0 .207-.03.27-.09.062-.06.093-.152.093-.277 0-.117-.039-.206-.117-.268a.506.506 0 0 0-.32-.091h-.14v-.516h.144c.117 0 .205-.03.264-.09a.31.31 0 0 0 .087-.226.27.27 0 0 0-.087-.209.332.332 0 0 0-.233-.08c-.107 0-.185.027-.236.08a.275.275 0 0 0-.076.197v.055h-.695v-.055a.915.915 0 0 1 .295-.644c.178-.161.436-.242.775-.242.14 0 .27.021.39.064s.224.102.312.176a.802.802 0 0 1 .207.262c.05.1.075.206.075.318 0 .258-.116.46-.348.605v.008a.625.625 0 0 1 .193.119.777.777 0 0 1 .256.572z",
            "fill-rule": "evenodd"
          }
        })])]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "linea divisora",
            expression: "'linea divisora'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button",
          "class": {
            "is-active": isActive.horizontal_rule()
          },
          attrs: {
            "aria-label": "linea divisora",
            type: "button"
          },
          on: {
            click: commands.horizontal_rule
          }
        }, [_c("svg", {
          attrs: {
            fill: "currentColor",
            viewBox: "0 0 24 24",
            width: "24",
            height: "24"
          }
        }, [_c("path", {
          attrs: {
            d: "M4 7c0-.552.445-1 1-1h14c.552 0 1 .444 1 1 0 .552-.445 1-1 1H5c-.552 0-1-.444-1-1zm0 5a1 1 0 0 1 1.01-1h1.98a1 1 0 1 1 0 2H5.01C4.451 13 4 12.556 4 12zm6 0a1 1 0 0 1 1.01-1h1.98a1 1 0 1 1 0 2h-1.98c-.558 0-1.01-.444-1.01-1zm6 0a1 1 0 0 1 1.01-1h1.98a1 1 0 1 1 0 2h-1.98c-.558 0-1.01-.444-1.01-1zM4 17c0-.552.445-1 1-1h14c.552 0 1 .444 1 1 0 .552-.445 1-1 1H5c-.552 0-1-.444-1-1z",
            "fill-rule": "evenodd"
          }
        })])]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "Subrayado",
            expression: "'Subrayado'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button",
          "class": {
            "is-active": isActive.underline()
          },
          attrs: {
            "aria-label": "Subrayado",
            type: "button"
          },
          on: {
            click: commands.underline
          }
        }, [_c("svg", {
          attrs: {
            fill: "currentColor",
            xmlns: "http://www.w3.org/2000/svg",
            width: "24",
            height: "24",
            viewBox: "0 0 24 24"
          }
        }, [_c("path", {
          attrs: {
            d: "M0 0h24v24H0z",
            fill: "none"
          }
        }), _vm._v(" "), _c("path", {
          attrs: {
            d: "M12 17c3.31 0 6-2.69 6-6V3h-2.5v8c0 1.93-1.57 3.5-3.5 3.5S8.5 12.93 8.5 11V3H6v8c0 3.31 2.69 6 6 6zm-7 2v2h14v-2H5z"
          }
        })])]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "Tachado",
            expression: "'Tachado'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button",
          "class": {
            "is-active": isActive.strike()
          },
          attrs: {
            "aria-label": "Tachado",
            type: "button"
          },
          on: {
            click: commands.strike
          }
        }, [_c("svg", {
          attrs: {
            fill: "currentColor",
            xmlns: "http://www.w3.org/2000/svg",
            "xmlns:xlink": "http://www.w3.org/1999/xlink",
            width: "24",
            height: "24",
            viewBox: "0 0 24 24"
          }
        }, [_c("defs", [_c("path", {
          attrs: {
            id: "a",
            d: "M0 0h24v24H0V0z"
          }
        })]), _vm._v(" "), _c("clipPath", {
          attrs: {
            id: "b"
          }
        }, [_c("use", {
          attrs: {
            "xlink:href": "#a",
            overflow: "visible"
          }
        })]), _vm._v(" "), _c("path", {
          attrs: {
            "clip-path": "url(#b)",
            d: "M7.24 8.75c-.26-.48-.39-1.03-.39-1.67 0-.61.13-1.16.4-1.67.26-.5.63-.93 1.11-1.29.48-.35 1.05-.63 1.7-.83.66-.19 1.39-.29 2.18-.29.81 0 1.54.11 2.21.34.66.22 1.23.54 1.69.94.47.4.83.88 1.08 1.43.25.55.38 1.15.38 1.81h-3.01c0-.31-.05-.59-.15-.85-.09-.27-.24-.49-.44-.68-.2-.19-.45-.33-.75-.44-.3-.1-.66-.16-1.06-.16-.39 0-.74.04-1.03.13-.29.09-.53.21-.72.36-.19.16-.34.34-.44.55-.1.21-.15.43-.15.66 0 .48.25.88.74 1.21.38.25.77.48 1.41.7H7.39c-.05-.08-.11-.17-.15-.25zM21 12v-2H3v2h9.62c.18.07.4.14.55.2.37.17.66.34.87.51.21.17.35.36.43.57.07.2.11.43.11.69 0 .23-.05.45-.14.66-.09.2-.23.38-.42.53-.19.15-.42.26-.71.35-.29.08-.63.13-1.01.13-.43 0-.83-.04-1.18-.13s-.66-.23-.91-.42c-.25-.19-.45-.44-.59-.75-.14-.31-.25-.76-.25-1.21H6.4c0 .55.08 1.13.24 1.58.16.45.37.85.65 1.21.28.35.6.66.98.92.37.26.78.48 1.22.65.44.17.9.3 1.38.39.48.08.96.13 1.44.13.8 0 1.53-.09 2.18-.28s1.21-.45 1.67-.79c.46-.34.82-.77 1.07-1.27s.38-1.07.38-1.71c0-.6-.1-1.14-.31-1.61-.05-.11-.11-.23-.17-.33H21z"
          }
        })])]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "Block Quote",
            expression: "'Block Quote'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button",
          "class": {
            "is-active": isActive.blockquote()
          },
          attrs: {
            "aria-label": "Block Quote",
            type: "button"
          },
          on: {
            click: commands.blockquote
          }
        }, [_c("svg", {
          attrs: {
            fill: "currentColor",
            viewBox: "0 0 24 24",
            width: "24",
            height: "24"
          }
        }, [_c("path", {
          attrs: {
            d: "M17.975 12.209c.504.454.822 1.05.952 1.792.061.35.055.715-.022 1.096-.075.379-.209.718-.4 1.018-.465.73-1.155 1.175-2.07 1.337-.874.153-1.684-.06-2.432-.638a3.6 3.6 0 0 1-.916-1.043 3.92 3.92 0 0 1-.506-1.336c-.172-.98-.03-2.026.425-3.142.455-1.116 1.155-2.118 2.1-3.007.8-.757 1.456-1.182 1.97-1.273a.72.72 0 0 1 .544.104.656.656 0 0 1 .286.452c.054.31-.095.601-.45.877-.856.67-1.455 1.27-1.796 1.798-.323.513-.467.873-.43 1.079.034.196.21.287.524.274l.191-.001.249-.029a2.436 2.436 0 0 1 1.781.642zm-7.51 0c.504.454.821 1.05.951 1.792.062.35.056.715-.02 1.096-.077.379-.21.718-.401 1.018-.465.73-1.155 1.175-2.07 1.337-.874.153-1.684-.06-2.432-.638a3.6 3.6 0 0 1-.916-1.043 3.92 3.92 0 0 1-.506-1.336c-.172-.98-.03-2.026.424-3.142.455-1.116 1.156-2.118 2.101-3.007.8-.757 1.456-1.182 1.97-1.273a.72.72 0 0 1 .544.104.656.656 0 0 1 .285.452c.055.31-.094.601-.45.877-.855.67-1.454 1.27-1.796 1.798-.322.513-.466.873-.43 1.079.034.196.21.287.525.274l.191-.001.248-.029a2.436 2.436 0 0 1 1.782.642z",
            "fill-rule": "evenodd"
          }
        })])]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "Titulo1",
            expression: "'Titulo1'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button menubar__title",
          "class": {
            "is-active": _vm.isHeadingActive({
              level: 1
            })
          },
          attrs: {
            "aria-label": "Titulo1",
            type: "button"
          },
          on: {
            click: function click($event) {
              return commands.heading({
                level: 1
              });
            }
          }
        }, [_c("span", {
          staticClass: "button-title"
        }, [_vm._v("H1")])]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "Titulo2",
            expression: "'Titulo2'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button menubar__title",
          "class": {
            "is-active": _vm.isHeadingActive({
              level: 2
            })
          },
          attrs: {
            "aria-label": "Titulo2",
            type: "button"
          },
          on: {
            click: function click($event) {
              return commands.heading({
                level: 2
              });
            }
          }
        }, [_c("span", {
          staticClass: "button-title"
        }, [_vm._v("H2")])]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "Titulo 3",
            expression: "'Titulo 3'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button menubar__title",
          "class": {
            "is-active": _vm.isHeadingActive({
              level: 3
            })
          },
          attrs: {
            "aria-label": "Titulo 3",
            type: "button"
          },
          on: {
            click: function click($event) {
              return commands.heading({
                level: 3
              });
            }
          }
        }, [_c("span", {
          staticClass: "button-title"
        }, [_vm._v("H3")])]), _vm._v(" "), _c("div", {
          ref: "fontSiziePicker",
          staticClass: "font-size-picker-container",
          staticStyle: {
            width: "44px"
          }
        }, [_c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "Tamaño letra",
            expression: "'Tamaño letra'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button menubar__title",
          "class": {
            "is-active": _vm.isFontSizeActive(getMarkAttrs)
          },
          staticStyle: {
            position: "relative",
            width: "44px"
          },
          attrs: {
            "aria-label": "Tamaño letra",
            type: "button"
          },
          on: {
            click: function click($event) {
              _vm.fontSizePickerVisible = !_vm.fontSizePickerVisible;
            }
          }
        }, [_c("span", {
          ref: "fontButton",
          staticClass: "menubar__button--font"
        }, [_vm._v("\n            " + _vm._s(_vm.activeFontSize(getMarkAttrs, isActive) || _vm.currentFontSize) + "px\n          ")])]), _vm._v(" "), _vm.fontSizePickerVisible ? _c("ul", {
          staticClass: "font-size-picker"
        }, _vm._l(_vm.fontsizes, function (size) {
          return _c("li", {
            key: size
          }, [_c("button", {
            staticClass: "font-size-picker-button",
            attrs: {
              type: "button"
            },
            on: {
              click: function click($event) {
                return _vm.selectFontSize(commands.fontsize, size);
              }
            }
          }, [_vm._v("\n              " + _vm._s(size) + "px\n            ")])]);
        }), 0) : _vm._e()]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "alineación Izquierda",
            expression: "'alineación Izquierda'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button",
          "class": {
            "is-active": _vm.isActiveAlign("left")
          },
          attrs: {
            "aria-label": "alineación Izquierda",
            type: "button"
          },
          on: {
            click: function click($event) {
              return _vm.align("left");
            }
          }
        }, [_c("svg", {
          attrs: {
            fill: "currentColor",
            xmlns: "http://www.w3.org/2000/svg",
            width: "24",
            height: "24",
            viewBox: "0 0 24 24"
          }
        }, [_c("path", {
          attrs: {
            d: "M15 15H3v2h12v-2zm0-8H3v2h12V7zM3 13h18v-2H3v2zm0 8h18v-2H3v2zM3 3v2h18V3H3z"
          }
        }), _vm._v(" "), _c("path", {
          attrs: {
            d: "M0 0h24v24H0z",
            fill: "none"
          }
        })])]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "Centrado",
            expression: "'Centrado'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button",
          "class": {
            "is-active": _vm.isActiveAlign("center")
          },
          attrs: {
            "aria-label": "Centrado",
            type: "button"
          },
          on: {
            click: function click($event) {
              return _vm.align("center");
            }
          }
        }, [_c("svg", {
          attrs: {
            fill: "currentColor",
            xmlns: "http://www.w3.org/2000/svg",
            width: "24",
            height: "24",
            viewBox: "0 0 24 24"
          }
        }, [_c("path", {
          attrs: {
            d: "M7 15v2h10v-2H7zm-4 6h18v-2H3v2zm0-8h18v-2H3v2zm4-6v2h10V7H7zM3 3v2h18V3H3z"
          }
        }), _vm._v(" "), _c("path", {
          attrs: {
            d: "M0 0h24v24H0z",
            fill: "none"
          }
        })])]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "Alineado derecho",
            expression: "'Alineado derecho'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button",
          "class": {
            "is-active": _vm.isActiveAlign("right")
          },
          attrs: {
            "aria-label": "Alineado derecho",
            type: "button"
          },
          on: {
            click: function click($event) {
              return _vm.align("right");
            }
          }
        }, [_c("svg", {
          attrs: {
            fill: "currentColor",
            xmlns: "http://www.w3.org/2000/svg",
            width: "24",
            height: "24",
            viewBox: "0 0 24 24"
          }
        }, [_c("path", {
          attrs: {
            d: "M3 21h18v-2H3v2zm6-4h12v-2H9v2zm-6-4h18v-2H3v2zm6-4h12V7H9v2zM3 3v2h18V3H3z"
          }
        }), _vm._v(" "), _c("path", {
          attrs: {
            d: "M0 0h24v24H0z",
            fill: "none"
          }
        })])]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "Justificado",
            expression: "'Justificado'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button",
          "class": {
            "is-active": _vm.isActiveAlign("justify")
          },
          attrs: {
            "aria-label": "Justificado",
            type: "button"
          },
          on: {
            click: function click($event) {
              return _vm.align("justify");
            }
          }
        }, [_c("svg", {
          attrs: {
            fill: "currentColor",
            xmlns: "http://www.w3.org/2000/svg",
            width: "24",
            height: "24",
            viewBox: "0 0 24 24"
          }
        }, [_c("path", {
          attrs: {
            d: "M3 21h18v-2H3v2zm0-4h18v-2H3v2zm0-4h18v-2H3v2zm0-4h18V7H3v2zm0-6v2h18V3H3z"
          }
        }), _vm._v(" "), _c("path", {
          attrs: {
            d: "M0 0h24v24H0z",
            fill: "none"
          }
        })])]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "Deshacer",
            expression: "'Deshacer'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button",
          attrs: {
            type: "button",
            "aria-label": "Deshacer"
          },
          on: {
            click: commands.undo
          }
        }, [_c("svg", {
          attrs: {
            fill: "currentColor",
            xmlns: "http://www.w3.org/2000/svg",
            width: "24",
            height: "24",
            viewBox: "0 0 24 24"
          }
        }, [_c("path", {
          attrs: {
            d: "M0 0h24v24H0z",
            fill: "none"
          }
        }), _vm._v(" "), _c("path", {
          attrs: {
            d: "M12.5 8c-2.65 0-5.05.99-6.9 2.6L2 7v9h9l-3.62-3.62c1.39-1.16 3.16-1.88 5.12-1.88 3.54 0 6.55 2.31 7.6 5.5l2.37-.78C21.08 11.03 17.15 8 12.5 8z"
          }
        })])]), _vm._v(" "), _c("button", {
          directives: [{
            name: "tooltip",
            rawName: "v-tooltip.bottom",
            value: "Rehacer",
            expression: "'Rehacer'",
            modifiers: {
              bottom: true
            }
          }],
          staticClass: "menubar__button",
          attrs: {
            "aria-label": "Rehacer",
            type: "button"
          },
          on: {
            click: commands.redo
          }
        }, [_c("svg", {
          attrs: {
            fill: "currentColor",
            xmlns: "http://www.w3.org/2000/svg",
            width: "24",
            height: "24",
            viewBox: "0 0 24 24"
          }
        }, [_c("path", {
          attrs: {
            d: "M0 0h24v24H0z",
            fill: "none"
          }
        }), _vm._v(" "), _c("path", {
          attrs: {
            d: "M18.4 10.6C16.55 8.99 14.15 8 11.5 8c-4.65 0-8.58 3.03-9.96 7.22L3.9 16c1.05-3.19 4.05-5.5 7.6-5.5 1.95 0 3.73.72 5.12 1.88L13 16h9V7l-3.6 3.6z"
          }
        })])])])];
      }
    }], null, false, 3875512132)
  }), _vm._v(" "), _c("editor-content", {
    staticClass: "editor__content",
    style: {
      height: _vm.height
    },
    attrs: {
      editor: _vm.editor
    }
  })], 1) : _vm._e();
};

var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;
/* style */

var __vue_inject_styles__ = function __vue_inject_styles__(inject) {
  if (!inject) return;
  inject("data-v-1995cbb9_0", {
    source: ".flex {\n  display: flex;\n}\n.text-primary-dark {\n  color: #3388ff;\n}\n.justify-center {\n  justify-content: center;\n}\n.border-primary-dark {\n  border-color: #3388ff;\n  border-top-color: #3388ff;\n  border-right-color: #3388ff;\n  border-bottom-color: #3388ff;\n  border-left-color: #3388ff;\n}\n.border-b-2 {\n  border-bottom-width: 2px;\n  border-bottom-style: solid;\n}\n.px-2 {\n  padding-left: 8px;\n  padding-right: 8px;\n}\n.py-1 {\n  padding-top: 4px;\n  padding-bottom: 4px;\n}\n.py-2 {\n  padding-top: 8px;\n  padding-bottom: 8px;\n}\n.py-4 {\n  padding-top: 16px;\n  padding-bottom: 16px;\n}\n.flex-wrap {\n  flex-wrap: wrap;\n}\n.flex-col {\n  flex-direction: column;\n}\n.flex-grow {\n  flex: 1;\n}\n.text-center {\n  text-align: center;\n}\n.items-center {\n  align-items: center;\n}\n.cursor-pointer {\n  cursor: pointer;\n}\n.relative {\n  position: relative;\n}\n.inline-block {\n  display: inline-block;\n}\n.ProseMirror:focus {\n  outline: none;\n}\n.ProseMirror {\n  min-height: 300px;\n}\n.vue-editor {\n  position: relative;\n  line-height: 1.5;\n  font-size: 16px;\n}\n.vue-editor *,\n.vue-editor *:before,\n.vue-editor *:after {\n  box-sizing: border-box;\n}\n.vue-editor video {\n  width: 300px;\n}\n.vue-editor .error {\n  color: red;\n  font-size: 12px;\n  margin-top: 5px;\n}\n.vue-editor .color-confirm-button {\n  margin-left: 15px;\n  cursor: pointer;\n  color: #fff;\n  background-color: #5ba0ff;\n  border-color: #5ba0ff;\n  padding: 7px 8px;\n  font-size: 12px;\n  border-radius: 3px;\n  outline: none;\n  transition: 0.1s;\n  font-weight: 500;\n}\n.vue-editor .color-confirm-button:hover, .vue-editor .color-confirm-button:focus {\n  background: #7cb3ff;\n  border-color: #7cb3ff;\n  color: #fff;\n}\n.vue-editor .video-confirm-button {\n  background-color: #fff;\n  border: none;\n  color: #5ba0ff;\n  padding: 7px 8px;\n  font-size: 12px;\n  border-radius: 3px;\n  outline: none;\n  transition: 0.1s;\n  font-weight: 500;\n}\n.vue-editor .video-confirm-button:hover, .vue-editor .video-confirm-button:focus {\n  color: #7cb3ff;\n}\n.vue-editor .color-input {\n  background-color: #fff;\n  border-radius: 4px;\n  border: 1px solid #dcdfe6;\n  font-size: 14px;\n  color: #606266;\n  outline: none;\n  padding: 6px 8px;\n}\n.vue-editor .color-input:focus {\n  outline: none;\n  border-color: #5ba0ff;\n}\n.vue-editor .video-input {\n  background-color: #fff;\n  flex: 1;\n  border-radius: 4px;\n  border: 1px solid #dcdfe6;\n  font-size: 14px;\n  padding: 3px 4px;\n  color: #606266;\n  outline: none;\n}\n.vue-editor .video-input:focus {\n  outline: none;\n  border-color: #5ba0ff;\n}\n.vue-editor .editor__content {\n  overflow-y: scroll;\n  word-wrap: break-word;\n}\n.vue-editor .editor__content * {\n  caret-color: currentColor;\n}\n.vue-editor .editor__content pre {\n  padding: 12px 16px;\n  border-radius: 5px;\n  background: #000000;\n  color: #ffffff;\n  font-size: 8px;\n  overflow-x: auto;\n}\n.vue-editor .editor__content pre code {\n  display: block;\n}\n.vue-editor .editor__content p {\n  margin: 0;\n  margin-block-start: 0;\n  margin-block-end: 0;\n}\n.vue-editor .editor__content p code {\n  display: inline-block;\n  padding: 0 6px;\n  border-radius: 5px;\n  font-size: 8px;\n  font-weight: bold;\n  background: rgba(0, 0, 0, 0.1);\n  color: rgba(0, 0, 0, 0.8);\n}\n.vue-editor .editor__content ul,\n.vue-editor .editor__content ol {\n  padding-left: 32px;\n}\n.vue-editor .editor__content hr {\n  border-bottom-width: 1px;\n  border-bottom-style: inset;\n  border-color: #a0aec0;\n}\n.vue-editor .editor__content ol,\n.vue-editor .editor__content ol > li {\n  list-style-type: decimal;\n}\n.vue-editor .editor__content ul,\n.vue-editor .editor__content ul > li {\n  list-style-type: disc;\n}\n.vue-editor .editor__content li > p,\n.vue-editor .editor__content li > ol,\n.vue-editor .editor__content li > ul {\n  margin: 0;\n}\n.vue-editor .editor__content h1,\n.vue-editor .editor__content h2,\n.vue-editor .editor__content h3 {\n  font-weight: bold;\n}\n.vue-editor .editor__content h1 {\n  font-size: 32px;\n  margin-top: 11px;\n  margin-bottom: 11px;\n}\n.vue-editor .editor__content h2 {\n  font-size: 24px;\n  margin-top: 12px;\n  margin-bottom: 12px;\n}\n.vue-editor .editor__content h3 {\n  font-size: 18px;\n  margin-top: 16px;\n  margin-bottom: 16px;\n}\n.vue-editor .editor__content a {\n  color: inherit;\n}\n.vue-editor .editor__content blockquote {\n  border-left: 3px solid rgba(0, 0, 0, 0.1);\n  color: rgba(0, 0, 0, 0.8);\n  padding-left: 8px;\n  font-style: italic;\n}\n.vue-editor .editor__content blockquote p {\n  margin: 0;\n}\n.vue-editor .editor__content img {\n  border-radius: 3px;\n  width: 25%;\n  display: inline-block;\n}\n.vue-editor .editor__content table {\n  border-collapse: collapse;\n  table-layout: fixed;\n  width: 100%;\n  margin: 0;\n  overflow: hidden;\n}\n.vue-editor .editor__content table td,\n.vue-editor .editor__content table th {\n  min-width: 16px;\n  border: 2px solid #dddddd;\n  padding: 3px 5px;\n  vertical-align: top;\n  box-sizing: border-box;\n  position: relative;\n}\n.vue-editor .editor__content table td > *,\n.vue-editor .editor__content table th > * {\n  margin-bottom: 0;\n}\n.vue-editor .editor__content table th {\n  font-weight: bold;\n  text-align: left;\n}\n.vue-editor .editor__content table .selectedCell:after {\n  z-index: 2;\n  position: absolute;\n  content: \"\";\n  left: 0;\n  right: 0;\n  top: 0;\n  bottom: 0;\n  background: rgba(200, 200, 255, 0.4);\n  pointer-events: none;\n}\n.vue-editor .editor__content table .column-resize-handle {\n  position: absolute;\n  right: -2px;\n  top: 0;\n  bottom: 0;\n  width: 4px;\n  z-index: 20;\n  background-color: #adf;\n  pointer-events: none;\n}\n.vue-editor .editor__content .tableWrapper {\n  margin: 16px 0;\n  overflow-x: auto;\n}\n.vue-editor .editor__content .resize-cursor {\n  cursor: ew-resize;\n  cursor: col-resize;\n}\n.menubar {\n  margin-bottom: 16px;\n  background: #ffffff;\n  border-bottom: 1px solid #ccd6e1;\n}\n.menubar.is-hidden {\n  visibility: hidden;\n  opacity: 0;\n}\n.menubar.is-focused {\n  visibility: visible;\n  opacity: 1;\n  transition: visibility 0.2s, opacity 0.2s;\n}\n.menubar__button {\n  font-weight: bold;\n  display: inline-flex;\n  background: transparent;\n  border: 0;\n  color: #8590a6;\n  padding: 3.2px 4.8px;\n  border-radius: 3px;\n  cursor: pointer;\n}\n.menubar__button:hover {\n  color: #76839b;\n  background-color: rgba(0, 0, 0, 0.05);\n}\n.menubar__button.is-active {\n  color: #0582ff;\n}\n.menubar .menubar__title {\n  vertical-align: top;\n}\n.menubar .button-title {\n  width: 24px;\n  height: 24px;\n  display: flex;\n  align-items: center;\n  font-size: 14px;\n  letter-spacing: -1px;\n}\n.menubar .menubar__button--font {\n  display: flex;\n  align-items: center;\n  height: 24px;\n  font-size: 14px;\n}\n.menubar .font-size-picker-container {\n  position: relative;\n  display: inline-block;\n  vertical-align: top;\n}\n.menubar .font-size-picker {\n  list-style: none;\n  z-index: 100;\n  position: absolute;\n  background: #ffffff;\n  box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n  top: 100%;\n  left: 0;\n  padding: 0;\n  margin: 0;\n  width: 50px;\n}\n.menubar .color-picker {\n  z-index: 100;\n  width: 300px;\n  position: absolute;\n  border-radius: 8px;\n  /* background: hsl(225, 12%, 15%); */\n  background: #e1e7ef;\n  box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n  top: 100%;\n  left: 0;\n  padding: 2px 2px;\n  transform: translateX(-20%);\n}\n.menubar .video-picker {\n  z-index: 100;\n  position: absolute;\n  width: 320px;\n  background: #ffffff;\n  border: 1px solid #cccccc;\n  box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n  top: 120%;\n  left: 0;\n  padding: 8px 6px;\n  /* transform: translateX(-50%); */\n}\n.menubar .block-video {\n  position: block;\n}\n.menubar .font-size-picker > li {\n  width: 100%;\n  padding: 0;\n}\n.menubar .font-size-picker > li:hover {\n  background: #e1e7ef;\n}\n.menubar .font-size-picker-button {\n  width: 100%;\n  font-weight: bold;\n  font-size: 14px;\n  display: inline-flex;\n  background: transparent;\n  border: 0;\n  color: #8590a6;\n  padding: 8px;\n  border-radius: 3px;\n  cursor: pointer;\n}\n.tooltip {\n  display: block !important;\n  z-index: 100;\n}\n.tooltip .tooltip-inner {\n  background: black;\n  color: white;\n  border-radius: 4px;\n  padding: 5px 10px 4px;\n}\n.tooltip .tooltip-arrow {\n  width: 0;\n  height: 0;\n  border-style: solid;\n  position: absolute;\n  margin: 5px;\n  border-color: black;\n  z-index: 1;\n}\n.tooltip[x-placement^=top] {\n  margin-bottom: 5px;\n}\n.tooltip[x-placement^=top] .tooltip-arrow {\n  border-width: 5px 5px 0 5px;\n  border-left-color: transparent !important;\n  border-right-color: transparent !important;\n  border-bottom-color: transparent !important;\n  bottom: -5px;\n  left: calc(50% - 5px);\n  margin-top: 0;\n  margin-bottom: 0;\n}\n.tooltip[x-placement^=bottom] {\n  margin-top: 5px;\n}\n.tooltip[x-placement^=bottom] .tooltip-arrow {\n  border-width: 0 5px 5px 5px;\n  border-left-color: transparent !important;\n  border-right-color: transparent !important;\n  border-top-color: transparent !important;\n  top: -5px;\n  left: calc(50% - 5px);\n  margin-top: 0;\n  margin-bottom: 0;\n}\n.tooltip[x-placement^=right] {\n  margin-left: 5px;\n}\n.tooltip[x-placement^=right] .tooltip-arrow {\n  border-width: 5px 5px 5px 0;\n  border-left-color: transparent !important;\n  border-top-color: transparent !important;\n  border-bottom-color: transparent !important;\n  left: -5px;\n  top: calc(50% - 5px);\n  margin-left: 0;\n  margin-right: 0;\n}\n.tooltip[x-placement^=left] {\n  margin-right: 5px;\n}\n.tooltip[x-placement^=left] .tooltip-arrow {\n  border-width: 5px 0 5px 5px;\n  border-top-color: transparent !important;\n  border-right-color: transparent !important;\n  border-bottom-color: transparent !important;\n  right: -5px;\n  top: calc(50% - 5px);\n  margin-left: 0;\n  margin-right: 0;\n}\n.tooltip.popover .popover-inner {\n  background: #f9f9f9;\n  color: black;\n  padding: 24px;\n  border-radius: 5px;\n  box-shadow: 0 5px 30px rgba(0, 0, 0, 0.1);\n}\n.tooltip.popover .popover-arrow {\n  border-color: #f9f9f9;\n}\n.tooltip[aria-hidden=true] {\n  visibility: hidden;\n  opacity: 0;\n  transition: opacity 0.15s, visibility 0.15s;\n}\n.tooltip[aria-hidden=false] {\n  visibility: visible;\n  opacity: 1;\n  transition: opacity 0.15s;\n}\n\n/*# sourceMappingURL=Editor.vue.map */",
    map: {
      "version": 3,
      "sources": ["D:\\desarrollo\\vue-editor-1\\src\\components\\Editor.vue", "Editor.vue"],
      "names": [],
      "mappings": "AAw3BA;EACA,aAAA;ACv3BA;ADy3BA;EACA,cAAA;ACt3BA;ADw3BA;EACA,uBAAA;ACr3BA;ADu3BA;EACA,qBAAA;EACA,yBAAA;EACA,2BAAA;EACA,4BAAA;EACA,0BAAA;ACp3BA;ADs3BA;EACA,wBAAA;EACA,0BAAA;ACn3BA;ADq3BA;EACA,iBAAA;EACA,kBAAA;ACl3BA;ADo3BA;EACA,gBAAA;EACA,mBAAA;ACj3BA;ADm3BA;EACA,gBAAA;EACA,mBAAA;ACh3BA;ADk3BA;EACA,iBAAA;EACA,oBAAA;AC/2BA;ADk3BA;EACA,eAAA;AC/2BA;ADi3BA;EACA,sBAAA;AC92BA;ADg3BA;EACA,OAAA;AC72BA;AD+2BA;EACA,kBAAA;AC52BA;AD82BA;EACA,mBAAA;AC32BA;AD62BA;EACA,eAAA;AC12BA;AD62BA;EACA,kBAAA;AC12BA;AD42BA;EACA,qBAAA;ACz2BA;AD42BA;EACA,aAAA;ACz2BA;AD22BA;EACA,iBAAA;ACx2BA;AD22BA;EA6EA,kBAAA;EACA,gBAAA;EACA,eAAA;ACp7BA;ADs2BA;;;EAGA,sBAAA;ACp2BA;ADs2BA;EACA,YAAA;ACp2BA;ADs2BA;EACA,UAAA;EACA,eAAA;EACA,eAAA;ACp2BA;ADs2BA;EACA,iBAAA;EACA,eAAA;EACA,WAAA;EACA,yBAAA;EACA,qBAAA;EACA,gBAAA;EACA,eAAA;EACA,kBAAA;EACA,aAAA;EACA,gBAAA;EACA,gBAAA;ACp2BA;ADq2BA;EAEA,mBAAA;EACA,qBAAA;EACA,WAAA;ACp2BA;ADu2BA;EACA,sBAAA;EACA,YAAA;EACA,cAAA;EACA,gBAAA;EACA,eAAA;EACA,kBAAA;EACA,aAAA;EACA,gBAAA;EACA,gBAAA;ACr2BA;ADs2BA;EAEA,cAAA;ACr2BA;ADy2BA;EACA,sBAAA;EACA,kBAAA;EACA,yBAAA;EACA,eAAA;EACA,cAAA;EACA,aAAA;EACA,gBAAA;ACv2BA;ADw2BA;EACA,aAAA;EACA,qBAAA;ACt2BA;ADy2BA;EACA,sBAAA;EACA,OAAA;EACA,kBAAA;EACA,yBAAA;EACA,eAAA;EACA,gBAAA;EACA,cAAA;EACA,aAAA;ACv2BA;ADw2BA;EACA,aAAA;EACA,qBAAA;ACt2BA;AD82BA;EACA,kBAAA;EACA,qBAAA;AC52BA;AD82BA;EACA,yBAAA;AC52BA;AD+2BA;EACA,kBAAA;EACA,kBAAA;EACA,mBAtKA;EAuKA,cAtKA;EAuKA,cAAA;EACA,gBAAA;AC72BA;AD+2BA;EACA,cAAA;AC72BA;ADg3BA;EACA,SAAA;EACA,qBAAA;EACA,mBAAA;AC92BA;ADi3BA;EACA,qBAAA;EACA,cAAA;EACA,kBAAA;EACA,cAAA;EACA,iBAAA;EACA,8BAAA;EACA,yBAAA;AC/2BA;ADk3BA;;EAEA,kBAAA;ACh3BA;ADk3BA;EACA,wBAAA;EACA,0BAAA;EACA,qBAAA;ACh3BA;ADk3BA;;EAEA,wBAAA;ACh3BA;ADk3BA;;EAEA,qBAAA;ACh3BA;ADm3BA;;;EAGA,SAAA;ACj3BA;ADm3BA;;;EAGA,iBAAA;ACj3BA;ADm3BA;EACA,eAAA;EACA,gBAAA;EACA,mBAAA;ACj3BA;ADm3BA;EACA,eAAA;EACA,gBAAA;EACA,mBAAA;ACj3BA;ADm3BA;EACA,eAAA;EACA,gBAAA;EACA,mBAAA;ACj3BA;ADo3BA;EACA,cAAA;ACl3BA;ADq3BA;EACA,yCAAA;EACA,yBAAA;EACA,iBAAA;EACA,kBAAA;ACn3BA;ADq3BA;EACA,SAAA;ACn3BA;ADu3BA;EACA,kBAAA;EACA,UAAA;EACA,qBAAA;ACr3BA;ADw3BA;EACA,yBAAA;EACA,mBAAA;EACA,WAAA;EACA,SAAA;EACA,gBAAA;ACt3BA;ADw3BA;;EAEA,eAAA;EACA,yBAAA;EACA,gBAAA;EACA,mBAAA;EACA,sBAAA;EACA,kBAAA;ACt3BA;ADu3BA;;EACA,gBAAA;ACp3BA;ADw3BA;EACA,iBAAA;EACA,gBAAA;ACt3BA;ADy3BA;EACA,UAAA;EACA,kBAAA;EACA,WAAA;EACA,OAAA;EACA,QAAA;EACA,MAAA;EACA,SAAA;EACA,oCAAA;EACA,oBAAA;ACv3BA;AD03BA;EACA,kBAAA;EACA,WAAA;EACA,MAAA;EACA,SAAA;EACA,UAAA;EACA,WAAA;EACA,sBAAA;EACA,oBAAA;ACx3BA;AD43BA;EACA,cAAA;EACA,gBAAA;AC13BA;AD63BA;EACA,iBAAA;EACA,kBAAA;AC33BA;AD+3BA;EACA,mBAAA;EACA,mBAAA;EACA,gCAAA;AC53BA;AD83BA;EACA,kBAAA;EACA,UAAA;AC53BA;AD+3BA;EACA,mBAAA;EACA,UAAA;EACA,yCAAA;AC73BA;ADk4BA;EACA,iBAAA;EACA,oBAAA;EACA,uBAAA;EACA,SAAA;EACA,cAAA;EACA,oBAAA;EACA,kBAAA;EACA,eAAA;ACh4BA;ADk4BA;EACA,cAAA;EACA,qCAAA;ACh4BA;ADm4BA;EACA,cAAA;ACj4BA;ADo4BA;EACA,mBAAA;ACl4BA;ADo4BA;EACA,WAAA;EACA,YAAA;EACA,aAAA;EACA,mBAAA;EACA,eAAA;EACA,oBAAA;ACl4BA;ADo4BA;EACA,aAAA;EACA,mBAAA;EACA,YAAA;EACA,eAAA;ACl4BA;ADo4BA;EACA,kBAAA;EACA,qBAAA;EACA,mBAAA;ACl4BA;ADo4BA;EACA,gBAAA;EACA,YAAA;EACA,kBAAA;EACA,mBAAA;EACA,mFAAA;EAEA,SAAA;EACA,OAAA;EACA,UAAA;EACA,SAAA;EAEA,WAAA;ACp4BA;ADs4BA;EACA,YAAA;EACA,YAAA;EACA,kBAAA;EACA,kBAAA;EACA,oCAAA;EACA,mBAAA;EACA,mFAAA;EAEA,SAAA;EACA,OAAA;EACA,gBAAA;EACA,2BAAA;ACr4BA;ADu4BA;EACA,YAAA;EACA,kBAAA;EACA,YAAA;EACA,mBAAA;EACA,yBAAA;EACA,mFAAA;EAEA,SAAA;EACA,OAAA;EACA,gBAAA;EACA,iCAAA;ACt4BA;ADw4BA;EACA,eAAA;ACt4BA;ADw4BA;EACA,WAAA;EACA,UAAA;ACt4BA;ADu4BA;EACA,mBAAA;ACr4BA;ADw4BA;EACA,WAAA;EACA,iBAAA;EACA,eAAA;EACA,oBAAA;EACA,uBAAA;EACA,SAAA;EACA,cAAA;EACA,YAAA;EACA,kBAAA;EACA,eAAA;ACt4BA;ADy4BA;EACA,yBAAA;EACA,YAAA;ACt4BA;ADy4BA;EACA,iBAAA;EACA,YAAA;EACA,kBAAA;EACA,qBAAA;ACt4BA;ADy4BA;EACA,QAAA;EACA,SAAA;EACA,mBAAA;EACA,kBAAA;EACA,WAAA;EACA,mBAAA;EACA,UAAA;ACt4BA;ADy4BA;EACA,kBAAA;ACt4BA;ADy4BA;EACA,2BAAA;EACA,yCAAA;EACA,0CAAA;EACA,2CAAA;EACA,YAAA;EACA,qBAAA;EACA,aAAA;EACA,gBAAA;ACt4BA;ADy4BA;EACA,eAAA;ACt4BA;ADy4BA;EACA,2BAAA;EACA,yCAAA;EACA,0CAAA;EACA,wCAAA;EACA,SAAA;EACA,qBAAA;EACA,aAAA;EACA,gBAAA;ACt4BA;ADy4BA;EACA,gBAAA;ACt4BA;ADy4BA;EACA,2BAAA;EACA,yCAAA;EACA,wCAAA;EACA,2CAAA;EACA,UAAA;EACA,oBAAA;EACA,cAAA;EACA,eAAA;ACt4BA;ADy4BA;EACA,iBAAA;ACt4BA;ADy4BA;EACA,2BAAA;EACA,wCAAA;EACA,0CAAA;EACA,2CAAA;EACA,WAAA;EACA,oBAAA;EACA,cAAA;EACA,eAAA;ACt4BA;ADy4BA;EACA,mBAAA;EACA,YAAA;EACA,aAAA;EACA,kBAAA;EACA,yCAAA;ACt4BA;ADy4BA;EACA,qBAAA;ACt4BA;ADy4BA;EACA,kBAAA;EACA,UAAA;EACA,2CAAA;ACt4BA;ADy4BA;EACA,mBAAA;EACA,UAAA;EACA,yBAAA;ACt4BA;;AAEA,qCAAqC",
      "file": "Editor.vue",
      "sourcesContent": ["<template>\r\n  <div v-if=\"editor\" ref=\"editor\" :style=\"{ width }\" class=\"vue-editor\">\r\n    <editor-menu-bar\r\n      v-slot=\"{ commands, isActive, getMarkAttrs }\"\r\n      :editor=\"editor\"\r\n    >\r\n      <div class=\"menubar\">\r\n        <button\r\n          aria-label=\"NEGRITA\"\r\n          v-tooltip.bottom=\"'NEGRITA'\"\r\n          type=\"button\"\r\n          class=\"menubar__button\"\r\n          :class=\"{ 'is-active': isActive.bold() }\"\r\n          @click=\"commands.bold\"\r\n        >\r\n          <svg fill=\"currentColor\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\r\n            <path\r\n              d=\"M9 17.025V13h4.418c1.19 0 2.415.562 2.415 2.012s-1.608 2.013-2.9 2.013H9zM9 7h4.336c1 0 1.814.888 1.814 2 0 .89-.814 2-1.814 2H9V7zm8.192 1.899a3.893 3.893 0 0 0-3.888-3.889S9.334 5 8.167 5C7 5 7 6.167 7 6.167v11.666C7 19 8.167 19 8.167 19l5.572.01c2.333 0 4.231-1.86 4.231-4.148a4.122 4.122 0 0 0-1.77-3.372 3.873 3.873 0 0 0 .992-2.591z\"\r\n              fill-rule=\"evenodd\"\r\n            ></path>\r\n          </svg>\r\n        </button>\r\n\r\n        <button\r\n          v-tooltip.bottom=\"'iTALICA'\"\r\n          aria-label=\"iTALICA\"\r\n          type=\"button\"\r\n          class=\"menubar__button\"\r\n          :class=\"{ 'is-active': isActive.italic() }\"\r\n          @click=\"commands.italic\"\r\n        >\r\n          <svg fill=\"currentColor\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\r\n            <path\r\n              d=\"M15.751 5h-5.502a.751.751 0 0 0-.749.75c0 .417.336.75.749.75H12l-2 11H8.249a.751.751 0 0 0-.749.75c0 .417.336.75.749.75h5.502a.751.751 0 0 0 .749-.75.748.748 0 0 0-.749-.75H12l2-11h1.751a.751.751 0 0 0 .749-.75.748.748 0 0 0-.749-.75\"\r\n              fill-rule=\"evenodd\"\r\n            ></path>\r\n          </svg>\r\n        </button>\r\n        <div ref=\"colorPicker\" class=\"relative inline-block button-container\">\r\n          <button\r\n            v-tooltip.bottom=\"'COLOR'\"\r\n            aria-label=\"COLOR\"\r\n            type=\"button\"\r\n            class=\"menubar__button relative\"\r\n            :class=\"{\r\n              'is-active': isActive.color() || isActive.fill(),\r\n            }\"\r\n            @click=\"showColorPicker\"\r\n          >\r\n            <svg\r\n              xmlns=\"http://www.w3.org/2000/svg\"\r\n              width=\"24\"\r\n              height=\"24\"\r\n              fill=\"currentColor\"\r\n              viewBox=\"0 0 24 24\"\r\n            >\r\n              <path d=\"M0 0h24v24H0z\" fill=\"none\" />\r\n              <path fill-opacity=\".36\" d=\"M0 20h24v4H0z\" />\r\n              <path\r\n                d=\"M11 3L5.5 17h2.25l1.12-3h6.25l1.12 3h2.25L13 3h-2zm-1.38 9L12 5.67 14.38 12H9.62z\"\r\n              />\r\n            </svg>\r\n          </button>\r\n          <div v-if=\"colorPickerVisible\" class=\"color-picker\">\r\n            <div style=\"display: flex\">\r\n              <div\r\n                tabindex=\"0\"\r\n                :class=\"{\r\n                  'text-primary-dark border-b-2 border-primary-dark': !colorFill,\r\n                }\"\r\n                class=\"cursor-pointer py-1 text-black flex-grow text-center\"\r\n                @click=\"colorFill = false\"\r\n              >\r\n                文字\r\n              </div>\r\n              <div\r\n                tabindex=\"0\"\r\n                :class=\"{\r\n                  'text-primary-dark border-b-2 border-primary-dark': colorFill,\r\n                }\"\r\n                class=\"cursor-pointer py-1 text-black flex-grow text-center\"\r\n                @click=\"colorFill = true\"\r\n              >\r\n                背景\r\n              </div>\r\n            </div>\r\n            <div class=\"flex flex-wrap py-4 px-2 justify-center\">\r\n              <div v-for=\"color in colors\" :key=\"color\">\r\n                <button\r\n                  type=\"button\"\r\n                  class=\"hover:border border-gray cursor-pointer\"\r\n                  style=\"\r\n                    border-radius: 0px;\r\n                    width: 24px;\r\n                    height: 24px;\r\n                    border: 0;\r\n                    margin-left: 2px;\r\n                    margin-right: 2px;\r\n                  \"\r\n                  :style=\"{ 'background-color': color }\"\r\n                  @click=\"selectColor(commands, color)\"\r\n                ></button>\r\n              </div>\r\n              <div class=\"flex items-center\" style=\"margin-top: 20px\">\r\n                <form\r\n                  class=\"flex\"\r\n                  :style=\"{ 'align-items': 'flex-start' }\"\r\n                  @submit.prevent=\"selectColor(commands, userColor, true)\"\r\n                >\r\n                  <div class=\"flex flex-col\">\r\n                    <input\r\n                      ref=\"colorPickerInput\"\r\n                      class=\"color-input\"\r\n                      maxlength=\"7\"\r\n                      placeholder=\"#FFFFFF\"\r\n                      v-model.trim=\"userColor\"\r\n                    />\r\n                    <span class=\"error\">{{ colorError }}</span>\r\n                  </div>\r\n                  <button type=\"submit\" class=\"color-confirm-button\">\r\n                    GUARDAR\r\n                  </button>\r\n                </form>\r\n              </div>\r\n            </div>\r\n          </div>\r\n        </div>\r\n        <button\r\n          v-tooltip.bottom=\"'IMAGEN'\"\r\n          aria-label=\"IMAGEN\"\r\n          type=\"button\"\r\n          class=\"menubar__button\"\r\n          @click=\"$refs.uploadInput.click()\"\r\n        >\r\n          <svg fill=\"currentColor\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\r\n            <path\r\n              d=\"M21 17.444C21 18.3 20.1 19 19 19H5c-1.1 0-2-.7-2-1.556V6.556C3 5.7 3.9 5 5 5h14c1.1 0 2 .7 2 1.556v10.888zm-9.437-3.919a.5.5 0 0 1-.862.013l-1.26-2.065a.5.5 0 0 0-.861.012l-2.153 3.767a.5.5 0 0 0 .435.748h10.292a.5.5 0 0 0 .438-.741L14.573 9.78a.5.5 0 0 0-.872-.006l-2.138 3.75z\"\r\n              fill-rule=\"evenodd\"\r\n            ></path>\r\n          </svg>\r\n        </button>\r\n        <input\r\n          ref=\"uploadInput\"\r\n          type=\"file\"\r\n          style=\"display: none\"\r\n          @change=\"fileSelect($event, commands.image)\"\r\n        />\r\n        <div ref=\"videoPicker\" class=\"relative inline-block button-container\">\r\n          <button\r\n            v-tooltip.bottom=\"'Video'\"\r\n            aria-label=\"Video\"\r\n            type=\"button\"\r\n            @click=\"showVideoPicker\"\r\n            class=\"menubar__button\"\r\n          >\r\n            <svg fill=\"currentColor\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\r\n              <path d=\"M0 0h24v24H0z\" fill=\"none\" />\r\n              <path\r\n                d=\"M17 10.5V7c0-.55-.45-1-1-1H4c-.55 0-1 .45-1 1v10c0 .55.45 1 1 1h12c.55 0 1-.45 1-1v-3.5l4 4v-11l-4 4z\"\r\n              />\r\n            </svg>\r\n          </button>\r\n          <div v-if=\"videoPickerVisible\" class=\"video-picker\">\r\n            <form\r\n              @submit.prevent=\"addVideo(commands.video)\"\r\n            >\r\n              <label for=\"vue-editor-video-input\">Url：</label>\r\n              <input\r\n                ref=\"videoInput\"\r\n                class=\"video-input\"\r\n                style=\"margin-right: 12px\"\r\n                id=\"vue-editor-video-input\"\r\n                v-model=\"videoAddress\"\r\n              />\r\n              <button class=\"video-confirm-button\" type=\"submit\">Cargar</button>\r\n            </form>\r\n            <form \r\n              class=\"flex items-center\"\r\n              @submit.prevent=\"addYoutube(commands.embed)\">\r\n               <label for=\"vue-editor-video-input\">Youtube embed</label>\r\n              <input\r\n                ref=\"videoInput\"\r\n                class=\"video-input\"\r\n                style=\"margin-right: 12px\"\r\n                id=\"vue-editor-youtube-input\"\r\n                v-model=\"youtubeEmbed\"\r\n              />\r\n              <button class=\"video-confirm-button\" type=\"submit\">Cargar</button>\r\n            </form>\r\n          </div>\r\n        </div>\r\n        <button\r\n          v-tooltip.bottom=\"'listado no numerado'\"\r\n          aria-label=\"listado no numerado\"\r\n          type=\"button\"\r\n          class=\"menubar__button\"\r\n          :class=\"{ 'is-active': isActive.bullet_list() }\"\r\n          @click=\"commands.bullet_list\"\r\n        >\r\n          <svg fill=\"currentColor\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\r\n            <path\r\n              d=\"M9 7c0-.552.456-1 .995-1h8.01c.55 0 .995.444.995 1 0 .552-.456 1-.995 1h-8.01A.995.995 0 0 1 9 7zM6 8a1 1 0 1 1 0-2 1 1 0 0 1 0 2zm0 5a1 1 0 1 1 0-2 1 1 0 0 1 0 2zm0 5a1 1 0 1 1 0-2 1 1 0 0 1 0 2zm3-6c0-.552.456-1 .995-1h8.01c.55 0 .995.444.995 1 0 .552-.456 1-.995 1h-8.01A.995.995 0 0 1 9 12zm0 5c0-.552.456-1 .995-1h8.01c.55 0 .995.444.995 1 0 .552-.456 1-.995 1h-8.01A.995.995 0 0 1 9 17z\"\r\n              fill-rule=\"evenodd\"\r\n            ></path>\r\n          </svg>\r\n        </button>\r\n\r\n        <button\r\n          v-tooltip.bottom=\"'listado numerado'\"\r\n          aria-label=\"listado numerado\"\r\n          type=\"button\"\r\n          class=\"menubar__button\"\r\n          :class=\"{ 'is-active': isActive.ordered_list() }\"\r\n          @click=\"commands.ordered_list\"\r\n        >\r\n          <svg fill=\"currentColor\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\r\n            <path\r\n              d=\"M9 6.5c0-.552.456-1 .995-1h8.01c.55 0 .995.444.995 1 0 .552-.456 1-.995 1h-8.01A.995.995 0 0 1 9 6.5zM5.884 7.893v-2.09h-.643L5.402 5h1.285v2.893h-.803zm.898 3.83l-.393.395h.862v.733H5v-.482l1.057-.892c.371-.312.461-.434.463-.566.003-.202-.135-.368-.396-.368-.289 0-.418.206-.418.43H5c0-.642.482-1.073 1.125-1.073s1.125.457 1.125.945c0 .307-.106.516-.468.877zM9 11.5c0-.552.456-1 .995-1h8.01c.55 0 .995.444.995 1 0 .552-.456 1-.995 1h-8.01a.995.995 0 0 1-.995-1zm0 5c0-.552.456-1 .995-1h8.01c.55 0 .995.444.995 1 0 .552-.456 1-.995 1h-8.01a.995.995 0 0 1-.995-1zm-1.759.624c0 .14-.025.27-.076.388a.902.902 0 0 1-.217.309 1.017 1.017 0 0 1-.336.205c-.13.05-.275.074-.437.074-.166 0-.32-.027-.462-.08a1.166 1.166 0 0 1-.367-.217 1.062 1.062 0 0 1-.246-.318.914.914 0 0 1-.1-.38v-.055h.765v.054a.343.343 0 0 0 .367.352c.117 0 .207-.03.27-.09.062-.06.093-.152.093-.277 0-.117-.039-.206-.117-.268a.506.506 0 0 0-.32-.091h-.14v-.516h.144c.117 0 .205-.03.264-.09a.31.31 0 0 0 .087-.226.27.27 0 0 0-.087-.209.332.332 0 0 0-.233-.08c-.107 0-.185.027-.236.08a.275.275 0 0 0-.076.197v.055h-.695v-.055a.915.915 0 0 1 .295-.644c.178-.161.436-.242.775-.242.14 0 .27.021.39.064s.224.102.312.176a.802.802 0 0 1 .207.262c.05.1.075.206.075.318 0 .258-.116.46-.348.605v.008a.625.625 0 0 1 .193.119.777.777 0 0 1 .256.572z\"\r\n              fill-rule=\"evenodd\"\r\n            ></path>\r\n          </svg>\r\n        </button>\r\n        <button\r\n          v-tooltip.bottom=\"'linea divisora'\"\r\n          aria-label=\"linea divisora\"\r\n          type=\"button\"\r\n          class=\"menubar__button\"\r\n          :class=\"{ 'is-active': isActive.horizontal_rule() }\"\r\n          @click=\"commands.horizontal_rule\"\r\n        >\r\n          <svg fill=\"currentColor\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\r\n            <path\r\n              d=\"M4 7c0-.552.445-1 1-1h14c.552 0 1 .444 1 1 0 .552-.445 1-1 1H5c-.552 0-1-.444-1-1zm0 5a1 1 0 0 1 1.01-1h1.98a1 1 0 1 1 0 2H5.01C4.451 13 4 12.556 4 12zm6 0a1 1 0 0 1 1.01-1h1.98a1 1 0 1 1 0 2h-1.98c-.558 0-1.01-.444-1.01-1zm6 0a1 1 0 0 1 1.01-1h1.98a1 1 0 1 1 0 2h-1.98c-.558 0-1.01-.444-1.01-1zM4 17c0-.552.445-1 1-1h14c.552 0 1 .444 1 1 0 .552-.445 1-1 1H5c-.552 0-1-.444-1-1z\"\r\n              fill-rule=\"evenodd\"\r\n            ></path>\r\n          </svg>\r\n        </button>\r\n        <button\r\n          v-tooltip.bottom=\"'Subrayado'\"\r\n          aria-label=\"Subrayado\"\r\n          type=\"button\"\r\n          class=\"menubar__button\"\r\n          :class=\"{ 'is-active': isActive.underline() }\"\r\n          @click=\"commands.underline\"\r\n        >\r\n          <svg\r\n            fill=\"currentColor\"\r\n            xmlns=\"http://www.w3.org/2000/svg\"\r\n            width=\"24\"\r\n            height=\"24\"\r\n            viewBox=\"0 0 24 24\"\r\n          >\r\n            <path d=\"M0 0h24v24H0z\" fill=\"none\" />\r\n            <path\r\n              d=\"M12 17c3.31 0 6-2.69 6-6V3h-2.5v8c0 1.93-1.57 3.5-3.5 3.5S8.5 12.93 8.5 11V3H6v8c0 3.31 2.69 6 6 6zm-7 2v2h14v-2H5z\"\r\n            />\r\n          </svg>\r\n        </button>\r\n\r\n        <button\r\n          v-tooltip.bottom=\"'Tachado'\"\r\n          aria-label=\"Tachado\"\r\n          type=\"button\"\r\n          class=\"menubar__button\"\r\n          :class=\"{ 'is-active': isActive.strike() }\"\r\n          @click=\"commands.strike\"\r\n        >\r\n          <svg\r\n            fill=\"currentColor\"\r\n            xmlns=\"http://www.w3.org/2000/svg\"\r\n            xmlns:xlink=\"http://www.w3.org/1999/xlink\"\r\n            width=\"24\"\r\n            height=\"24\"\r\n            viewBox=\"0 0 24 24\"\r\n          >\r\n            <defs>\r\n              <path id=\"a\" d=\"M0 0h24v24H0V0z\" />\r\n            </defs>\r\n            <clipPath id=\"b\">\r\n              <use xlink:href=\"#a\" overflow=\"visible\" />\r\n            </clipPath>\r\n            <path\r\n              clip-path=\"url(#b)\"\r\n              d=\"M7.24 8.75c-.26-.48-.39-1.03-.39-1.67 0-.61.13-1.16.4-1.67.26-.5.63-.93 1.11-1.29.48-.35 1.05-.63 1.7-.83.66-.19 1.39-.29 2.18-.29.81 0 1.54.11 2.21.34.66.22 1.23.54 1.69.94.47.4.83.88 1.08 1.43.25.55.38 1.15.38 1.81h-3.01c0-.31-.05-.59-.15-.85-.09-.27-.24-.49-.44-.68-.2-.19-.45-.33-.75-.44-.3-.1-.66-.16-1.06-.16-.39 0-.74.04-1.03.13-.29.09-.53.21-.72.36-.19.16-.34.34-.44.55-.1.21-.15.43-.15.66 0 .48.25.88.74 1.21.38.25.77.48 1.41.7H7.39c-.05-.08-.11-.17-.15-.25zM21 12v-2H3v2h9.62c.18.07.4.14.55.2.37.17.66.34.87.51.21.17.35.36.43.57.07.2.11.43.11.69 0 .23-.05.45-.14.66-.09.2-.23.38-.42.53-.19.15-.42.26-.71.35-.29.08-.63.13-1.01.13-.43 0-.83-.04-1.18-.13s-.66-.23-.91-.42c-.25-.19-.45-.44-.59-.75-.14-.31-.25-.76-.25-1.21H6.4c0 .55.08 1.13.24 1.58.16.45.37.85.65 1.21.28.35.6.66.98.92.37.26.78.48 1.22.65.44.17.9.3 1.38.39.48.08.96.13 1.44.13.8 0 1.53-.09 2.18-.28s1.21-.45 1.67-.79c.46-.34.82-.77 1.07-1.27s.38-1.07.38-1.71c0-.6-.1-1.14-.31-1.61-.05-.11-.11-.23-.17-.33H21z\"\r\n            />\r\n          </svg>\r\n        </button>\r\n        <button\r\n          v-tooltip.bottom=\"'Block Quote'\"\r\n          aria-label=\"Block Quote\"\r\n          type=\"button\"\r\n          class=\"menubar__button\"\r\n          :class=\"{ 'is-active': isActive.blockquote() }\"\r\n          @click=\"commands.blockquote\"\r\n        >\r\n          <svg fill=\"currentColor\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\">\r\n            <path\r\n              d=\"M17.975 12.209c.504.454.822 1.05.952 1.792.061.35.055.715-.022 1.096-.075.379-.209.718-.4 1.018-.465.73-1.155 1.175-2.07 1.337-.874.153-1.684-.06-2.432-.638a3.6 3.6 0 0 1-.916-1.043 3.92 3.92 0 0 1-.506-1.336c-.172-.98-.03-2.026.425-3.142.455-1.116 1.155-2.118 2.1-3.007.8-.757 1.456-1.182 1.97-1.273a.72.72 0 0 1 .544.104.656.656 0 0 1 .286.452c.054.31-.095.601-.45.877-.856.67-1.455 1.27-1.796 1.798-.323.513-.467.873-.43 1.079.034.196.21.287.524.274l.191-.001.249-.029a2.436 2.436 0 0 1 1.781.642zm-7.51 0c.504.454.821 1.05.951 1.792.062.35.056.715-.02 1.096-.077.379-.21.718-.401 1.018-.465.73-1.155 1.175-2.07 1.337-.874.153-1.684-.06-2.432-.638a3.6 3.6 0 0 1-.916-1.043 3.92 3.92 0 0 1-.506-1.336c-.172-.98-.03-2.026.424-3.142.455-1.116 1.156-2.118 2.101-3.007.8-.757 1.456-1.182 1.97-1.273a.72.72 0 0 1 .544.104.656.656 0 0 1 .285.452c.055.31-.094.601-.45.877-.855.67-1.454 1.27-1.796 1.798-.322.513-.466.873-.43 1.079.034.196.21.287.525.274l.191-.001.248-.029a2.436 2.436 0 0 1 1.782.642z\"\r\n              fill-rule=\"evenodd\"\r\n            ></path>\r\n          </svg>\r\n        </button>\r\n\r\n        <button\r\n          v-tooltip.bottom=\"'Titulo1'\"\r\n          aria-label=\"Titulo1\"\r\n          type=\"button\"\r\n          class=\"menubar__button menubar__title\"\r\n          :class=\"{ 'is-active': isHeadingActive({ level: 1 }) }\"\r\n          @click=\"commands.heading({ level: 1 })\"\r\n        >\r\n          <span class=\"button-title\">H1</span>\r\n        </button>\r\n        <button\r\n          v-tooltip.bottom=\"'Titulo2'\"\r\n          aria-label=\"Titulo2\"\r\n          type=\"button\"\r\n          class=\"menubar__button menubar__title\"\r\n          :class=\"{ 'is-active': isHeadingActive({ level: 2 }) }\"\r\n          @click=\"commands.heading({ level: 2 })\"\r\n        >\r\n          <span class=\"button-title\">H2</span>\r\n        </button>\r\n        <button\r\n          v-tooltip.bottom=\"'Titulo 3'\"\r\n          aria-label=\"Titulo 3\"\r\n          type=\"button\"\r\n          class=\"menubar__button menubar__title\"\r\n          :class=\"{ 'is-active': isHeadingActive({ level: 3 }) }\"\r\n          @click=\"commands.heading({ level: 3 })\"\r\n        >\r\n          <span class=\"button-title\">H3</span>\r\n        </button>\r\n\r\n        <div\r\n          ref=\"fontSiziePicker\"\r\n          class=\"font-size-picker-container\"\r\n          style=\"width: 44px\"\r\n        >\r\n          <button\r\n            v-tooltip.bottom=\"'Tamaño letra'\"\r\n            aria-label=\"Tamaño letra\"\r\n            type=\"button\"\r\n            class=\"menubar__button menubar__title\"\r\n            style=\"position: relative; width: 44px\"\r\n            :class=\"{\r\n              'is-active': isFontSizeActive(getMarkAttrs),\r\n            }\"\r\n            @click=\"fontSizePickerVisible = !fontSizePickerVisible\"\r\n          >\r\n            <span ref=\"fontButton\" class=\"menubar__button--font\">\r\n              {{ activeFontSize(getMarkAttrs, isActive) || currentFontSize }}px\r\n            </span>\r\n          </button>\r\n          <ul v-if=\"fontSizePickerVisible\" class=\"font-size-picker\">\r\n            <li v-for=\"size in fontsizes\" :key=\"size\">\r\n              <button\r\n                type=\"button\"\r\n                class=\"font-size-picker-button\"\r\n                @click=\"selectFontSize(commands.fontsize, size)\"\r\n              >\r\n                {{ size }}px\r\n              </button>\r\n            </li>\r\n          </ul>\r\n        </div>\r\n\r\n        <button\r\n          v-tooltip.bottom=\"'alineación Izquierda'\"\r\n          aria-label=\"alineación Izquierda\"\r\n          type=\"button\"\r\n          class=\"menubar__button\"\r\n          :class=\"{ 'is-active': isActiveAlign('left') }\"\r\n          @click=\"align('left')\"\r\n        >\r\n          <svg\r\n            fill=\"currentColor\"\r\n            xmlns=\"http://www.w3.org/2000/svg\"\r\n            width=\"24\"\r\n            height=\"24\"\r\n            viewBox=\"0 0 24 24\"\r\n          >\r\n            <path\r\n              d=\"M15 15H3v2h12v-2zm0-8H3v2h12V7zM3 13h18v-2H3v2zm0 8h18v-2H3v2zM3 3v2h18V3H3z\"\r\n            />\r\n            <path d=\"M0 0h24v24H0z\" fill=\"none\" />\r\n          </svg>\r\n        </button>\r\n        <button\r\n          v-tooltip.bottom=\"'Centrado'\"\r\n          aria-label=\"Centrado\"\r\n          type=\"button\"\r\n          class=\"menubar__button\"\r\n          :class=\"{ 'is-active': isActiveAlign('center') }\"\r\n          @click=\"align('center')\"\r\n        >\r\n          <svg\r\n            fill=\"currentColor\"\r\n            xmlns=\"http://www.w3.org/2000/svg\"\r\n            width=\"24\"\r\n            height=\"24\"\r\n            viewBox=\"0 0 24 24\"\r\n          >\r\n            <path\r\n              d=\"M7 15v2h10v-2H7zm-4 6h18v-2H3v2zm0-8h18v-2H3v2zm4-6v2h10V7H7zM3 3v2h18V3H3z\"\r\n            />\r\n            <path d=\"M0 0h24v24H0z\" fill=\"none\" />\r\n          </svg>\r\n        </button>\r\n        <button\r\n          v-tooltip.bottom=\"'Alineado derecho'\"\r\n          aria-label=\"Alineado derecho\"\r\n          type=\"button\"\r\n          class=\"menubar__button\"\r\n          :class=\"{ 'is-active': isActiveAlign('right') }\"\r\n          @click=\"align('right')\"\r\n        >\r\n          <svg\r\n            fill=\"currentColor\"\r\n            xmlns=\"http://www.w3.org/2000/svg\"\r\n            width=\"24\"\r\n            height=\"24\"\r\n            viewBox=\"0 0 24 24\"\r\n          >\r\n            <path\r\n              d=\"M3 21h18v-2H3v2zm6-4h12v-2H9v2zm-6-4h18v-2H3v2zm6-4h12V7H9v2zM3 3v2h18V3H3z\"\r\n            />\r\n            <path d=\"M0 0h24v24H0z\" fill=\"none\" />\r\n          </svg>\r\n        </button>\r\n        <button\r\n          v-tooltip.bottom=\"'Justificado'\"\r\n          aria-label=\"Justificado\"\r\n          type=\"button\"\r\n          class=\"menubar__button\"\r\n          :class=\"{ 'is-active': isActiveAlign('justify') }\"\r\n          @click=\"align('justify')\"\r\n        >\r\n          <svg\r\n            fill=\"currentColor\"\r\n            xmlns=\"http://www.w3.org/2000/svg\"\r\n            width=\"24\"\r\n            height=\"24\"\r\n            viewBox=\"0 0 24 24\"\r\n          >\r\n            <path\r\n              d=\"M3 21h18v-2H3v2zm0-4h18v-2H3v2zm0-4h18v-2H3v2zm0-4h18V7H3v2zm0-6v2h18V3H3z\"\r\n            />\r\n            <path d=\"M0 0h24v24H0z\" fill=\"none\" />\r\n          </svg>\r\n        </button>\r\n        <button\r\n          type=\"button\"\r\n          v-tooltip.bottom=\"'Deshacer'\"\r\n          aria-label=\"Deshacer\"\r\n          class=\"menubar__button\"\r\n          @click=\"commands.undo\"\r\n        >\r\n          <svg\r\n            fill=\"currentColor\"\r\n            xmlns=\"http://www.w3.org/2000/svg\"\r\n            width=\"24\"\r\n            height=\"24\"\r\n            viewBox=\"0 0 24 24\"\r\n          >\r\n            <path d=\"M0 0h24v24H0z\" fill=\"none\" />\r\n            <path\r\n              d=\"M12.5 8c-2.65 0-5.05.99-6.9 2.6L2 7v9h9l-3.62-3.62c1.39-1.16 3.16-1.88 5.12-1.88 3.54 0 6.55 2.31 7.6 5.5l2.37-.78C21.08 11.03 17.15 8 12.5 8z\"\r\n            />\r\n          </svg>\r\n        </button>\r\n\r\n        <button\r\n          v-tooltip.bottom=\"'Rehacer'\"\r\n          aria-label=\"Rehacer\"\r\n          type=\"button\"\r\n          class=\"menubar__button\"\r\n          @click=\"commands.redo\"\r\n        >\r\n          <svg\r\n            fill=\"currentColor\"\r\n            xmlns=\"http://www.w3.org/2000/svg\"\r\n            width=\"24\"\r\n            height=\"24\"\r\n            viewBox=\"0 0 24 24\"\r\n          >\r\n            <path d=\"M0 0h24v24H0z\" fill=\"none\" />\r\n            <path\r\n              d=\"M18.4 10.6C16.55 8.99 14.15 8 11.5 8c-4.65 0-8.58 3.03-9.96 7.22L3.9 16c1.05-3.19 4.05-5.5 7.6-5.5 1.95 0 3.73.72 5.12 1.88L13 16h9V7l-3.6 3.6z\"\r\n            />\r\n          </svg>\r\n        </button>\r\n      </div>\r\n    </editor-menu-bar>\r\n    <editor-content\r\n      :style=\"{ height }\"\r\n      class=\"editor__content\"\r\n      :editor=\"editor\"\r\n    />\r\n  </div>\r\n</template>\r\n\r\n<script>\r\nimport { nodeIsActive } from '../utils'\r\nimport { VTooltip } from 'v-tooltip'\r\n\r\nimport { Editor, EditorContent, EditorMenuBar } from 'tiptap'\r\nimport FontSize from './FontSize'\r\nimport Color from './Color'\r\nimport ColorFill from './ColorFill'\r\n\r\nimport {\r\n  CodeBlock,\r\n  HardBreak,\r\n  HorizontalRule,\r\n  OrderedList,\r\n  BulletList,\r\n  TodoItem,\r\n  TodoList,\r\n  Bold,\r\n  Code,\r\n  Italic,\r\n  Link,\r\n  Strike,\r\n  Underline,\r\n  History,\r\n} from 'tiptap-extensions'\r\nimport Image from './Image'\r\nimport Heading from './Heading'\r\nimport Paragraph from './Paragraph'\r\nimport Blockquote from './Blockquote'\r\nimport Video from './Video'\r\nimport Embed from './Embed'\r\nimport ListItem from './ListItem'\r\nimport { isActive as isTextAlignActive, setTextAlign } from '../TextAlign'\r\n\r\nexport default {\r\n  name: 'RICHEDITOR',\r\n  components: {\r\n    EditorMenuBar,\r\n    EditorContent,\r\n  },\r\n  props: {\r\n    height: {\r\n      type: String,\r\n      required: false,\r\n      default: '',\r\n    },\r\n    value: {\r\n      type: String,\r\n      default: '',\r\n    },\r\n    width: {\r\n      required: false,\r\n      default: '810px',\r\n      type: String,\r\n    },\r\n    imageProvider: {\r\n      required: true,\r\n      type: [Object, Function],\r\n    },\r\n  },\r\n  data() {\r\n    return {\r\n      images_files: {},\r\n      colorError: '',\r\n      userColor: '',\r\n      colorFill: false,\r\n      fontSizePickerVisible: false,\r\n      colorPickerVisible: false,\r\n      currentFontSize: 16,\r\n      videoPickerVisible: false,\r\n      videoAddress: '',\r\n      youtubeEmbed: '',\r\n      linkMenuIsActive: false,\r\n      linkUrl: null,\r\n      editor: null,\r\n    }\r\n  },\r\n  computed: {\r\n    headingLevels() {\r\n      return [1, 2, 3]\r\n    },\r\n    fontsizes() {\r\n      const fontsizes = [12, 14, 16, 18, 20, 24]\r\n      return fontsizes\r\n    },\r\n    colors() {\r\n      const colors = [\r\n        'rgb(0, 0, 0)',\r\n        'rgb(38, 38, 38)',\r\n        'rgb(89, 89, 89)',\r\n        'rgb(140, 140, 140)',\r\n        'rgb(191, 191, 191)',\r\n        'rgb(217, 217, 217)',\r\n        'rgb(233, 233, 233)',\r\n        'rgb(245, 245, 245)',\r\n        'rgb(250, 250, 250)',\r\n        'rgb(255, 255, 255)',\r\n        'rgb(245, 34, 45)',\r\n        'rgb(250, 84, 28)',\r\n        'rgb(250, 140, 22)',\r\n        'rgb(250, 219, 20)',\r\n        'rgb(82, 196, 26)',\r\n        'rgb(19, 194, 194)',\r\n        'rgb(24, 144, 255)',\r\n        'rgb(47, 84, 235)',\r\n        'rgb(114, 46, 209)',\r\n        'rgb(235, 47, 150)',\r\n        'rgb(255, 232, 230)',\r\n        'rgb(255, 236, 224)',\r\n        'rgb(255, 239, 209)',\r\n        'rgb(255, 248, 189)',\r\n        'rgb(228, 247, 210)',\r\n        'rgb(211, 245, 240)',\r\n        'rgb(212, 238, 252)',\r\n        'rgb(222, 232, 252)',\r\n        'rgb(239, 225, 250)',\r\n        'rgb(250, 225, 235)',\r\n        'rgb(255, 163, 158)',\r\n        'rgb(255, 187, 150)',\r\n        'rgb(255, 213, 145)',\r\n        'rgb(255, 240, 143)',\r\n        'rgb(183, 235, 143)',\r\n        'rgb(135, 232, 222)',\r\n        'rgb(145, 213, 255)',\r\n        'rgb(173, 198, 255)',\r\n        'rgb(211, 173, 247)',\r\n        'rgb(255, 173, 210)',\r\n        'rgb(255, 77, 79)',\r\n        'rgb(255, 122, 69)',\r\n        'rgb(255, 169, 64)',\r\n        'rgb(255, 236, 61)',\r\n        'rgb(115, 209, 61)',\r\n        'rgb(54, 207, 201)',\r\n        'rgb(64, 169, 255)',\r\n        'rgb(89, 126, 247)',\r\n        'rgb(146, 84, 222)',\r\n        'rgb(247, 89, 171)',\r\n        'rgb(207, 19, 34)',\r\n        'rgb(212, 56, 13)',\r\n        'rgb(212, 107, 8)',\r\n        'rgb(212, 177, 6)',\r\n        'rgb(56, 158, 13)',\r\n        'rgb(8, 151, 156)',\r\n        'rgb(9, 109, 217)',\r\n        'rgb(29, 57, 196)',\r\n        'rgb(83, 29, 171)',\r\n        'rgb(196, 29, 127)',\r\n        'rgb(130, 0, 20)',\r\n        'rgb(135, 20, 0)',\r\n        'rgb(135, 56, 0)',\r\n        'rgb(97, 71, 0)',\r\n        'rgb(19, 82, 0)',\r\n        'rgb(0, 71, 79)',\r\n        'rgb(0, 58, 140)',\r\n        'rgb(6, 17, 120)',\r\n        'rgb(34, 7, 94)',\r\n        'rgb(120, 6, 80)',\r\n      ]\r\n      return colors\r\n    },\r\n\r\n    imageUploader() {\r\n      const imageUploader = new Image({\r\n        provider: this.imageProvider,\r\n      })\r\n      return imageUploader\r\n    },\r\n    state() {\r\n      return this.editor.state\r\n    },\r\n    activeHeadingLevel() {\r\n      return this.headingLevels.find((level) => {\r\n        return this.isHeadingActive({ level })\r\n      })\r\n    },\r\n  },\r\n  watch: {\r\n    userColor() {\r\n      this.colorError = ''\r\n    },\r\n    value(newVal, oldVal) {\r\n      if (!oldVal && newVal) {\r\n        this.editor.setContent(newVal)\r\n      }\r\n    },\r\n  },\r\n  directives: {\r\n    tooltip: VTooltip,\r\n  },\r\n\r\n  mounted() {\r\n    this.editor = new Editor({\r\n      extensions: [\r\n        new Paragraph(),\r\n        new FontSize({ sizes: this.fontsizes }),\r\n        this.imageUploader,\r\n        new Blockquote(),\r\n        new Video(),\r\n        new Embed(),\r\n        new CodeBlock(),\r\n        new Color(),\r\n        new ColorFill(),\r\n        new HorizontalRule(),\r\n        new HardBreak(),\r\n        new Heading({ levels: this.headingLevels }),\r\n        new BulletList(),\r\n        new OrderedList(),\r\n        new ListItem(),\r\n        new TodoItem(),\r\n        new TodoList(),\r\n        new Bold(),\r\n        new Code(),\r\n        new Italic(),\r\n        new Link(),\r\n        new Strike(),\r\n        new Underline(),\r\n        new History(),\r\n      ],\r\n      content: this.value,\r\n      onUpdate: ({ getHTML }) => {\r\n        this.$emit('input', getHTML().replace(/<p><\\/p>/g, '<p><br></p>'))\r\n      },\r\n    })\r\n    window.editor = this.editor\r\n    const pickers = [\r\n      ['fontSiziePicker', 'fontSizePickerVisible'],\r\n      ['colorPicker', 'colorPickerVisible'],\r\n      ['videoPicker', 'videoPickerVisible'],\r\n    ]\r\n\r\n    this.closePicker = (event) => {\r\n      pickers.forEach(([ref, visible]) => {\r\n        if (!this.$refs[ref].contains(event.target)) {\r\n          this[visible] = false\r\n        }\r\n      })\r\n    }\r\n\r\n    document.addEventListener('click', this.closePicker)\r\n    this.closeOnEsc = (e) => {\r\n      if (e.key == 'Escape' || e.key == 'Esc') {\r\n        // eslint-disable-next-line\r\n        pickers.forEach(([_, visible]) => {\r\n          this[visible] = false\r\n        })\r\n      }\r\n    }\r\n    document.addEventListener('keyup', this.closeOnEsc)\r\n  },\r\n  beforeDestroy() {\r\n    document.removeEventListener('click', this.closePicker)\r\n    document.removeEventListener('keyup', this.closeOnEsc)\r\n\r\n    if (this.editor) {\r\n      this.editor.destroy()\r\n    }\r\n  },\r\n\r\n  methods: {\r\n    showColorPicker() {\r\n      this.colorPickerVisible = true\r\n      this.$nextTick(() => {\r\n        this.$refs.colorPickerInput.focus()\r\n      })\r\n    },\r\n    showVideoPicker() {\r\n      this.videoPickerVisible = true\r\n      this.$nextTick(() => {\r\n        this.$refs.videoInput.focus()\r\n      })\r\n    },\r\n    addVideo(command) {\r\n      command({ src: this.videoAddress })\r\n      this.videoAddress = ''\r\n      this.videoPickerVisible = false\r\n    },\r\n    addYoutube(command) {\r\n      let embedSplited = this.youtubeEmbed.split('/')\r\n      console.log(embedSplited);\r\n      let embedUrl = embedSplited[embedSplited.length -1]\r\n      command({ src: `https://www.youtube.com/embed/${embedUrl}` })\r\n      this.youtubeEmbed = ''\r\n      this.videoPickerVisible = false\r\n    },\r\n    isHeadingActive({ level }) {\r\n      return nodeIsActive(this.state, this.editor.schema.nodes.heading, {\r\n        level,\r\n      })\r\n    },\r\n\r\n    isActiveAlign(align) {\r\n      return isTextAlignActive(this.state, align)\r\n    },\r\n\r\n    align(alignment) {\r\n      window.editor = this.editor\r\n      const tr = setTextAlign(this.state.tr, this.editor.schema, alignment)\r\n      this.editor.view.dispatch(tr)\r\n    },\r\n\r\n    findStoredFontSize() {\r\n      const storedMark = (this.state.storedMarks || []).find(\r\n        (mark) => mark.attrs.size\r\n      )\r\n      if (storedMark) {\r\n        return storedMark.attrs.size\r\n      }\r\n      const prevNode =\r\n        this.state.selection.$cursor && this.state.selection.$cursor.nodeBefore\r\n      if (prevNode) {\r\n        const prevMark = prevNode.marks.find((mark) => mark.attrs.size)\r\n        if (prevMark) {\r\n          return prevMark.attrs.size\r\n        }\r\n      }\r\n    },\r\n\r\n    activeFontSize(getMarkAttrs) {\r\n      const size = this.findStoredFontSize()\r\n      const selectSize = this.fontsizes.find(\r\n        (size) => getMarkAttrs('fontsize').size == size\r\n      )\r\n      if (selectSize) {\r\n        return selectSize\r\n      }\r\n      return size || 16\r\n    },\r\n\r\n    isFontSizeActive(getMarkAttrs) {\r\n      const size = this.findStoredFontSize()\r\n      // 默认大小就不要active了\r\n      if (size == 16) {\r\n        return false\r\n      }\r\n      if (\r\n        this.fontsizes.some((size) => getMarkAttrs('fontsize').size == size)\r\n      ) {\r\n        return true\r\n      }\r\n      return !!size\r\n    },\r\n    selectFontSize(command, size) {\r\n      command({ size })\r\n      this.fontSizePickerVisible = false\r\n    },\r\n\r\n    selectColor(commands, color, validate) {\r\n      if (validate) {\r\n        const pattern = /^#[0-9a-fA-F]{6}$|^#[0-9a-fA-F]{3}$/\r\n        if (!pattern.test(color)) {\r\n          this.colorError = '无效的色值'\r\n          return\r\n        }\r\n      }\r\n      const command = this.colorFill ? commands.fill : commands.color\r\n      command({ color })\r\n      this.colorPickerVisible = false\r\n    },\r\n    fileSelect(event, command) {\r\n      const file = event.target.files[0]\r\n      this.imageUploader\r\n        .upload(file)\r\n        .then((src) => {\r\n          this.images_files[file.name]=file\r\n          this.$emit('onUploadFile', file)\r\n          command({ 'title': file.name, src })\r\n        })\r\n        .finally(() => {\r\n          this.$refs.uploadInput.value = ''\r\n        })\r\n    },\r\n    showLinkMenu(attrs) {\r\n      this.linkUrl = attrs.href\r\n      this.linkMenuIsActive = true\r\n      this.$nextTick(() => {\r\n        this.$refs.linkInput.focus()\r\n      })\r\n    },\r\n  },\r\n}\r\n</script>\r\n<style lang=\"scss\">\r\n$color-black: #000000;\r\n$color-white: #ffffff;\r\n$color-grey: #dddddd;\r\n\r\n.flex {\r\n  display: flex;\r\n}\r\n.text-primary-dark {\r\n  color: hsl(215, 100%, 60%);\r\n}\r\n.justify-center {\r\n  justify-content: center;\r\n}\r\n.border-primary-dark {\r\n  border-color: hsl(215, 100%, 60%);\r\n  border-top-color: rgb(51, 136, 255);\r\n  border-right-color: rgb(51, 136, 255);\r\n  border-bottom-color: rgb(51, 136, 255);\r\n  border-left-color: rgb(51, 136, 255);\r\n}\r\n.border-b-2 {\r\n  border-bottom-width: 2px;\r\n  border-bottom-style: solid;\r\n}\r\n.px-2 {\r\n  padding-left: 8px;\r\n  padding-right: 8px;\r\n}\r\n.py-1 {\r\n  padding-top: 4px;\r\n  padding-bottom: 4px;\r\n}\r\n.py-2 {\r\n  padding-top: 8px;\r\n  padding-bottom: 8px;\r\n}\r\n.py-4 {\r\n  padding-top: 16px;\r\n  padding-bottom: 16px;\r\n}\r\n\r\n.flex-wrap {\r\n  flex-wrap: wrap;\r\n}\r\n.flex-col {\r\n  flex-direction: column;\r\n}\r\n.flex-grow {\r\n  flex: 1;\r\n}\r\n.text-center {\r\n  text-align: center;\r\n}\r\n.items-center {\r\n  align-items: center;\r\n}\r\n.cursor-pointer {\r\n  cursor: pointer;\r\n}\r\n\r\n.relative {\r\n  position: relative;\r\n}\r\n.inline-block {\r\n  display: inline-block;\r\n}\r\n\r\n.ProseMirror:focus {\r\n  outline: none;\r\n}\r\n.ProseMirror {\r\n  min-height: 300px;\r\n}\r\n\r\n.vue-editor {\r\n  *,\r\n  *:before,\r\n  *:after {\r\n    box-sizing: border-box;\r\n  }\r\n  video {\r\n    width: 300px;\r\n  }\r\n  .error {\r\n    color: red;\r\n    font-size: 12px;\r\n    margin-top: 5px;\r\n  }\r\n  .color-confirm-button {\r\n    margin-left: 15px;\r\n    cursor: pointer;\r\n    color: #fff;\r\n    background-color: #5ba0ff;\r\n    border-color: #5ba0ff;\r\n    padding: 7px 8px;\r\n    font-size: 12px;\r\n    border-radius: 3px;\r\n    outline: none;\r\n    transition: 0.1s;\r\n    font-weight: 500;\r\n    &:hover,\r\n    &:focus {\r\n      background: #7cb3ff;\r\n      border-color: #7cb3ff;\r\n      color: #fff;\r\n    }\r\n  }\r\n  .video-confirm-button {\r\n    background-color: #fff;\r\n    border: none;\r\n    color: #5ba0ff;\r\n    padding: 7px 8px;\r\n    font-size: 12px;\r\n    border-radius: 3px;\r\n    outline: none;\r\n    transition: 0.1s;\r\n    font-weight: 500;\r\n    &:hover,\r\n    &:focus {\r\n      color: #7cb3ff;\r\n    }\r\n  }\r\n\r\n  .color-input {\r\n    background-color: #fff;\r\n    border-radius: 4px;\r\n    border: 1px solid #dcdfe6;\r\n    font-size: 14px;\r\n    color: #606266;\r\n    outline: none;\r\n    padding: 6px 8px;\r\n    &:focus {\r\n      outline: none;\r\n      border-color: #5ba0ff;\r\n    }\r\n  }\r\n  .video-input {\r\n    background-color: #fff;\r\n    flex: 1;\r\n    border-radius: 4px;\r\n    border: 1px solid #dcdfe6;\r\n    font-size: 14px;\r\n    padding: 3px 4px;\r\n    color: #606266;\r\n    outline: none;\r\n    &:focus {\r\n      outline: none;\r\n      border-color: #5ba0ff;\r\n    }\r\n  }\r\n\r\n  position: relative;\r\n  line-height: 1.5;\r\n  font-size: 16px;\r\n\r\n  .editor__content {\r\n    overflow-y: scroll;\r\n    word-wrap: break-word;\r\n\r\n    * {\r\n      caret-color: currentColor;\r\n    }\r\n\r\n    pre {\r\n      padding: 12px 16px;\r\n      border-radius: 5px;\r\n      background: $color-black;\r\n      color: $color-white;\r\n      font-size: 8px;\r\n      overflow-x: auto;\r\n\r\n      code {\r\n        display: block;\r\n      }\r\n    }\r\n    p {\r\n      margin: 0;\r\n      margin-block-start: 0;\r\n      margin-block-end: 0;\r\n    }\r\n\r\n    p code {\r\n      display: inline-block;\r\n      padding: 0 6px;\r\n      border-radius: 5px;\r\n      font-size: 8px;\r\n      font-weight: bold;\r\n      background: rgba($color-black, 0.1);\r\n      color: rgba($color-black, 0.8);\r\n    }\r\n\r\n    ul,\r\n    ol {\r\n      padding-left: 32px;\r\n    }\r\n    hr {\r\n      border-bottom-width: 1px;\r\n      border-bottom-style: inset;\r\n      border-color: hsl(213, 20%, 69%);\r\n    }\r\n    ol,\r\n    ol > li {\r\n      list-style-type: decimal;\r\n    }\r\n    ul,\r\n    ul > li {\r\n      list-style-type: disc;\r\n    }\r\n\r\n    li > p,\r\n    li > ol,\r\n    li > ul {\r\n      margin: 0;\r\n    }\r\n    h1,\r\n    h2,\r\n    h3 {\r\n      font-weight: bold;\r\n    }\r\n    h1 {\r\n      font-size: 32px;\r\n      margin-top: 11px;\r\n      margin-bottom: 11px;\r\n    }\r\n    h2 {\r\n      font-size: 24px;\r\n      margin-top: 12px;\r\n      margin-bottom: 12px;\r\n    }\r\n    h3 {\r\n      font-size: 18px;\r\n      margin-top: 16px;\r\n      margin-bottom: 16px;\r\n    }\r\n\r\n    a {\r\n      color: inherit;\r\n    }\r\n\r\n    blockquote {\r\n      border-left: 3px solid rgba($color-black, 0.1);\r\n      color: rgba($color-black, 0.8);\r\n      padding-left: 8px;\r\n      font-style: italic;\r\n\r\n      p {\r\n        margin: 0;\r\n      }\r\n    }\r\n\r\n    img {\r\n      border-radius: 3px;\r\n      width: 25%;\r\n      display: inline-block;\r\n    }\r\n\r\n    table {\r\n      border-collapse: collapse;\r\n      table-layout: fixed;\r\n      width: 100%;\r\n      margin: 0;\r\n      overflow: hidden;\r\n\r\n      td,\r\n      th {\r\n        min-width: 16px;\r\n        border: 2px solid $color-grey;\r\n        padding: 3px 5px;\r\n        vertical-align: top;\r\n        box-sizing: border-box;\r\n        position: relative;\r\n        > * {\r\n          margin-bottom: 0;\r\n        }\r\n      }\r\n\r\n      th {\r\n        font-weight: bold;\r\n        text-align: left;\r\n      }\r\n\r\n      .selectedCell:after {\r\n        z-index: 2;\r\n        position: absolute;\r\n        content: '';\r\n        left: 0;\r\n        right: 0;\r\n        top: 0;\r\n        bottom: 0;\r\n        background: rgba(200, 200, 255, 0.4);\r\n        pointer-events: none;\r\n      }\r\n\r\n      .column-resize-handle {\r\n        position: absolute;\r\n        right: -2px;\r\n        top: 0;\r\n        bottom: 0;\r\n        width: 4px;\r\n        z-index: 20;\r\n        background-color: #adf;\r\n        pointer-events: none;\r\n      }\r\n    }\r\n\r\n    .tableWrapper {\r\n      margin: 16px 0;\r\n      overflow-x: auto;\r\n    }\r\n\r\n    .resize-cursor {\r\n      cursor: ew-resize;\r\n      cursor: col-resize;\r\n    }\r\n  }\r\n}\r\n.menubar {\r\n  margin-bottom: 16px;\r\n  background: #ffffff;\r\n  border-bottom: 1px solid hsl(210, 26%, 84%);\r\n\r\n  &.is-hidden {\r\n    visibility: hidden;\r\n    opacity: 0;\r\n  }\r\n\r\n  &.is-focused {\r\n    visibility: visible;\r\n    opacity: 1;\r\n    transition: visibility 0.2s, opacity 0.2s;\r\n  }\r\n  .button-container {\r\n  }\r\n\r\n  &__button {\r\n    font-weight: bold;\r\n    display: inline-flex;\r\n    background: transparent;\r\n    border: 0;\r\n    color: #8590a6;\r\n    padding: 3.2px 4.8px;\r\n    border-radius: 3px;\r\n    cursor: pointer;\r\n\r\n    &:hover {\r\n      color: #76839b;\r\n      background-color: rgba($color-black, 0.05);\r\n    }\r\n\r\n    &.is-active {\r\n      color: hsl(210, 100%, 51%);\r\n    }\r\n  }\r\n  .menubar__title {\r\n    vertical-align: top;\r\n  }\r\n  .button-title {\r\n    width: 24px;\r\n    height: 24px;\r\n    display: flex;\r\n    align-items: center;\r\n    font-size: 14px;\r\n    letter-spacing: -1px;\r\n  }\r\n  .menubar__button--font {\r\n    display: flex;\r\n    align-items: center;\r\n    height: 24px;\r\n    font-size: 14px;\r\n  }\r\n  .font-size-picker-container {\r\n    position: relative;\r\n    display: inline-block;\r\n    vertical-align: top;\r\n  }\r\n  .font-size-picker {\r\n    list-style: none;\r\n    z-index: 100;\r\n    position: absolute;\r\n    background: #ffffff;\r\n    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1),\r\n      0 4px 6px -2px rgba(0, 0, 0, 0.05);\r\n    top: 100%;\r\n    left: 0;\r\n    padding: 0;\r\n    margin: 0;\r\n\r\n    width: 50px;\r\n  }\r\n  .color-picker {\r\n    z-index: 100;\r\n    width: 300px;\r\n    position: absolute;\r\n    border-radius: 8px;\r\n    /* background: hsl(225, 12%, 15%); */\r\n    background: hsl(214, 31%, 91%);\r\n    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1),\r\n      0 4px 6px -2px rgba(0, 0, 0, 0.05);\r\n    top: 100%;\r\n    left: 0;\r\n    padding: 2px 2px;\r\n    transform: translateX(-20%);\r\n  }\r\n  .video-picker {\r\n    z-index: 100;\r\n    position: absolute;\r\n    width: 320px;\r\n    background: #ffffff;\r\n    border: 1px solid #cccccc;\r\n    box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1),\r\n      0 4px 6px -2px rgba(0, 0, 0, 0.05);\r\n    top: 120%;\r\n    left: 0;\r\n    padding: 8px 6px;\r\n    /* transform: translateX(-50%); */\r\n  }\r\n  .block-video {\r\n    position: block\r\n  }\r\n  .font-size-picker > li {\r\n    width: 100%;\r\n    padding: 0;\r\n    &:hover {\r\n      background: hsl(214, 31%, 91%);\r\n    }\r\n  }\r\n  .font-size-picker-button {\r\n    width: 100%;\r\n    font-weight: bold;\r\n    font-size: 14px;\r\n    display: inline-flex;\r\n    background: transparent;\r\n    border: 0;\r\n    color: #8590a6;\r\n    padding: 8px;\r\n    border-radius: 3px;\r\n    cursor: pointer;\r\n  }\r\n}\r\n.tooltip {\r\n  display: block !important;\r\n  z-index: 100;\r\n}\r\n\r\n.tooltip .tooltip-inner {\r\n  background: black;\r\n  color: white;\r\n  border-radius: 4px;\r\n  padding: 5px 10px 4px;\r\n}\r\n\r\n.tooltip .tooltip-arrow {\r\n  width: 0;\r\n  height: 0;\r\n  border-style: solid;\r\n  position: absolute;\r\n  margin: 5px;\r\n  border-color: black;\r\n  z-index: 1;\r\n}\r\n\r\n.tooltip[x-placement^='top'] {\r\n  margin-bottom: 5px;\r\n}\r\n\r\n.tooltip[x-placement^='top'] .tooltip-arrow {\r\n  border-width: 5px 5px 0 5px;\r\n  border-left-color: transparent !important;\r\n  border-right-color: transparent !important;\r\n  border-bottom-color: transparent !important;\r\n  bottom: -5px;\r\n  left: calc(50% - 5px);\r\n  margin-top: 0;\r\n  margin-bottom: 0;\r\n}\r\n\r\n.tooltip[x-placement^='bottom'] {\r\n  margin-top: 5px;\r\n}\r\n\r\n.tooltip[x-placement^='bottom'] .tooltip-arrow {\r\n  border-width: 0 5px 5px 5px;\r\n  border-left-color: transparent !important;\r\n  border-right-color: transparent !important;\r\n  border-top-color: transparent !important;\r\n  top: -5px;\r\n  left: calc(50% - 5px);\r\n  margin-top: 0;\r\n  margin-bottom: 0;\r\n}\r\n\r\n.tooltip[x-placement^='right'] {\r\n  margin-left: 5px;\r\n}\r\n\r\n.tooltip[x-placement^='right'] .tooltip-arrow {\r\n  border-width: 5px 5px 5px 0;\r\n  border-left-color: transparent !important;\r\n  border-top-color: transparent !important;\r\n  border-bottom-color: transparent !important;\r\n  left: -5px;\r\n  top: calc(50% - 5px);\r\n  margin-left: 0;\r\n  margin-right: 0;\r\n}\r\n\r\n.tooltip[x-placement^='left'] {\r\n  margin-right: 5px;\r\n}\r\n\r\n.tooltip[x-placement^='left'] .tooltip-arrow {\r\n  border-width: 5px 0 5px 5px;\r\n  border-top-color: transparent !important;\r\n  border-right-color: transparent !important;\r\n  border-bottom-color: transparent !important;\r\n  right: -5px;\r\n  top: calc(50% - 5px);\r\n  margin-left: 0;\r\n  margin-right: 0;\r\n}\r\n\r\n.tooltip.popover .popover-inner {\r\n  background: #f9f9f9;\r\n  color: black;\r\n  padding: 24px;\r\n  border-radius: 5px;\r\n  box-shadow: 0 5px 30px rgba(black, 0.1);\r\n}\r\n\r\n.tooltip.popover .popover-arrow {\r\n  border-color: #f9f9f9;\r\n}\r\n\r\n.tooltip[aria-hidden='true'] {\r\n  visibility: hidden;\r\n  opacity: 0;\r\n  transition: opacity 0.15s, visibility 0.15s;\r\n}\r\n\r\n.tooltip[aria-hidden='false'] {\r\n  visibility: visible;\r\n  opacity: 1;\r\n  transition: opacity 0.15s;\r\n}\r\n</style>\r\n", ".flex {\n  display: flex;\n}\n\n.text-primary-dark {\n  color: #3388ff;\n}\n\n.justify-center {\n  justify-content: center;\n}\n\n.border-primary-dark {\n  border-color: #3388ff;\n  border-top-color: #3388ff;\n  border-right-color: #3388ff;\n  border-bottom-color: #3388ff;\n  border-left-color: #3388ff;\n}\n\n.border-b-2 {\n  border-bottom-width: 2px;\n  border-bottom-style: solid;\n}\n\n.px-2 {\n  padding-left: 8px;\n  padding-right: 8px;\n}\n\n.py-1 {\n  padding-top: 4px;\n  padding-bottom: 4px;\n}\n\n.py-2 {\n  padding-top: 8px;\n  padding-bottom: 8px;\n}\n\n.py-4 {\n  padding-top: 16px;\n  padding-bottom: 16px;\n}\n\n.flex-wrap {\n  flex-wrap: wrap;\n}\n\n.flex-col {\n  flex-direction: column;\n}\n\n.flex-grow {\n  flex: 1;\n}\n\n.text-center {\n  text-align: center;\n}\n\n.items-center {\n  align-items: center;\n}\n\n.cursor-pointer {\n  cursor: pointer;\n}\n\n.relative {\n  position: relative;\n}\n\n.inline-block {\n  display: inline-block;\n}\n\n.ProseMirror:focus {\n  outline: none;\n}\n\n.ProseMirror {\n  min-height: 300px;\n}\n\n.vue-editor {\n  position: relative;\n  line-height: 1.5;\n  font-size: 16px;\n}\n.vue-editor *,\n.vue-editor *:before,\n.vue-editor *:after {\n  box-sizing: border-box;\n}\n.vue-editor video {\n  width: 300px;\n}\n.vue-editor .error {\n  color: red;\n  font-size: 12px;\n  margin-top: 5px;\n}\n.vue-editor .color-confirm-button {\n  margin-left: 15px;\n  cursor: pointer;\n  color: #fff;\n  background-color: #5ba0ff;\n  border-color: #5ba0ff;\n  padding: 7px 8px;\n  font-size: 12px;\n  border-radius: 3px;\n  outline: none;\n  transition: 0.1s;\n  font-weight: 500;\n}\n.vue-editor .color-confirm-button:hover, .vue-editor .color-confirm-button:focus {\n  background: #7cb3ff;\n  border-color: #7cb3ff;\n  color: #fff;\n}\n.vue-editor .video-confirm-button {\n  background-color: #fff;\n  border: none;\n  color: #5ba0ff;\n  padding: 7px 8px;\n  font-size: 12px;\n  border-radius: 3px;\n  outline: none;\n  transition: 0.1s;\n  font-weight: 500;\n}\n.vue-editor .video-confirm-button:hover, .vue-editor .video-confirm-button:focus {\n  color: #7cb3ff;\n}\n.vue-editor .color-input {\n  background-color: #fff;\n  border-radius: 4px;\n  border: 1px solid #dcdfe6;\n  font-size: 14px;\n  color: #606266;\n  outline: none;\n  padding: 6px 8px;\n}\n.vue-editor .color-input:focus {\n  outline: none;\n  border-color: #5ba0ff;\n}\n.vue-editor .video-input {\n  background-color: #fff;\n  flex: 1;\n  border-radius: 4px;\n  border: 1px solid #dcdfe6;\n  font-size: 14px;\n  padding: 3px 4px;\n  color: #606266;\n  outline: none;\n}\n.vue-editor .video-input:focus {\n  outline: none;\n  border-color: #5ba0ff;\n}\n.vue-editor .editor__content {\n  overflow-y: scroll;\n  word-wrap: break-word;\n}\n.vue-editor .editor__content * {\n  caret-color: currentColor;\n}\n.vue-editor .editor__content pre {\n  padding: 12px 16px;\n  border-radius: 5px;\n  background: #000000;\n  color: #ffffff;\n  font-size: 8px;\n  overflow-x: auto;\n}\n.vue-editor .editor__content pre code {\n  display: block;\n}\n.vue-editor .editor__content p {\n  margin: 0;\n  margin-block-start: 0;\n  margin-block-end: 0;\n}\n.vue-editor .editor__content p code {\n  display: inline-block;\n  padding: 0 6px;\n  border-radius: 5px;\n  font-size: 8px;\n  font-weight: bold;\n  background: rgba(0, 0, 0, 0.1);\n  color: rgba(0, 0, 0, 0.8);\n}\n.vue-editor .editor__content ul,\n.vue-editor .editor__content ol {\n  padding-left: 32px;\n}\n.vue-editor .editor__content hr {\n  border-bottom-width: 1px;\n  border-bottom-style: inset;\n  border-color: #a0aec0;\n}\n.vue-editor .editor__content ol,\n.vue-editor .editor__content ol > li {\n  list-style-type: decimal;\n}\n.vue-editor .editor__content ul,\n.vue-editor .editor__content ul > li {\n  list-style-type: disc;\n}\n.vue-editor .editor__content li > p,\n.vue-editor .editor__content li > ol,\n.vue-editor .editor__content li > ul {\n  margin: 0;\n}\n.vue-editor .editor__content h1,\n.vue-editor .editor__content h2,\n.vue-editor .editor__content h3 {\n  font-weight: bold;\n}\n.vue-editor .editor__content h1 {\n  font-size: 32px;\n  margin-top: 11px;\n  margin-bottom: 11px;\n}\n.vue-editor .editor__content h2 {\n  font-size: 24px;\n  margin-top: 12px;\n  margin-bottom: 12px;\n}\n.vue-editor .editor__content h3 {\n  font-size: 18px;\n  margin-top: 16px;\n  margin-bottom: 16px;\n}\n.vue-editor .editor__content a {\n  color: inherit;\n}\n.vue-editor .editor__content blockquote {\n  border-left: 3px solid rgba(0, 0, 0, 0.1);\n  color: rgba(0, 0, 0, 0.8);\n  padding-left: 8px;\n  font-style: italic;\n}\n.vue-editor .editor__content blockquote p {\n  margin: 0;\n}\n.vue-editor .editor__content img {\n  border-radius: 3px;\n  width: 25%;\n  display: inline-block;\n}\n.vue-editor .editor__content table {\n  border-collapse: collapse;\n  table-layout: fixed;\n  width: 100%;\n  margin: 0;\n  overflow: hidden;\n}\n.vue-editor .editor__content table td,\n.vue-editor .editor__content table th {\n  min-width: 16px;\n  border: 2px solid #dddddd;\n  padding: 3px 5px;\n  vertical-align: top;\n  box-sizing: border-box;\n  position: relative;\n}\n.vue-editor .editor__content table td > *,\n.vue-editor .editor__content table th > * {\n  margin-bottom: 0;\n}\n.vue-editor .editor__content table th {\n  font-weight: bold;\n  text-align: left;\n}\n.vue-editor .editor__content table .selectedCell:after {\n  z-index: 2;\n  position: absolute;\n  content: \"\";\n  left: 0;\n  right: 0;\n  top: 0;\n  bottom: 0;\n  background: rgba(200, 200, 255, 0.4);\n  pointer-events: none;\n}\n.vue-editor .editor__content table .column-resize-handle {\n  position: absolute;\n  right: -2px;\n  top: 0;\n  bottom: 0;\n  width: 4px;\n  z-index: 20;\n  background-color: #adf;\n  pointer-events: none;\n}\n.vue-editor .editor__content .tableWrapper {\n  margin: 16px 0;\n  overflow-x: auto;\n}\n.vue-editor .editor__content .resize-cursor {\n  cursor: ew-resize;\n  cursor: col-resize;\n}\n\n.menubar {\n  margin-bottom: 16px;\n  background: #ffffff;\n  border-bottom: 1px solid #ccd6e1;\n}\n.menubar.is-hidden {\n  visibility: hidden;\n  opacity: 0;\n}\n.menubar.is-focused {\n  visibility: visible;\n  opacity: 1;\n  transition: visibility 0.2s, opacity 0.2s;\n}\n.menubar__button {\n  font-weight: bold;\n  display: inline-flex;\n  background: transparent;\n  border: 0;\n  color: #8590a6;\n  padding: 3.2px 4.8px;\n  border-radius: 3px;\n  cursor: pointer;\n}\n.menubar__button:hover {\n  color: #76839b;\n  background-color: rgba(0, 0, 0, 0.05);\n}\n.menubar__button.is-active {\n  color: #0582ff;\n}\n.menubar .menubar__title {\n  vertical-align: top;\n}\n.menubar .button-title {\n  width: 24px;\n  height: 24px;\n  display: flex;\n  align-items: center;\n  font-size: 14px;\n  letter-spacing: -1px;\n}\n.menubar .menubar__button--font {\n  display: flex;\n  align-items: center;\n  height: 24px;\n  font-size: 14px;\n}\n.menubar .font-size-picker-container {\n  position: relative;\n  display: inline-block;\n  vertical-align: top;\n}\n.menubar .font-size-picker {\n  list-style: none;\n  z-index: 100;\n  position: absolute;\n  background: #ffffff;\n  box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n  top: 100%;\n  left: 0;\n  padding: 0;\n  margin: 0;\n  width: 50px;\n}\n.menubar .color-picker {\n  z-index: 100;\n  width: 300px;\n  position: absolute;\n  border-radius: 8px;\n  /* background: hsl(225, 12%, 15%); */\n  background: #e1e7ef;\n  box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n  top: 100%;\n  left: 0;\n  padding: 2px 2px;\n  transform: translateX(-20%);\n}\n.menubar .video-picker {\n  z-index: 100;\n  position: absolute;\n  width: 320px;\n  background: #ffffff;\n  border: 1px solid #cccccc;\n  box-shadow: 0 10px 15px -3px rgba(0, 0, 0, 0.1), 0 4px 6px -2px rgba(0, 0, 0, 0.05);\n  top: 120%;\n  left: 0;\n  padding: 8px 6px;\n  /* transform: translateX(-50%); */\n}\n.menubar .block-video {\n  position: block;\n}\n.menubar .font-size-picker > li {\n  width: 100%;\n  padding: 0;\n}\n.menubar .font-size-picker > li:hover {\n  background: #e1e7ef;\n}\n.menubar .font-size-picker-button {\n  width: 100%;\n  font-weight: bold;\n  font-size: 14px;\n  display: inline-flex;\n  background: transparent;\n  border: 0;\n  color: #8590a6;\n  padding: 8px;\n  border-radius: 3px;\n  cursor: pointer;\n}\n\n.tooltip {\n  display: block !important;\n  z-index: 100;\n}\n\n.tooltip .tooltip-inner {\n  background: black;\n  color: white;\n  border-radius: 4px;\n  padding: 5px 10px 4px;\n}\n\n.tooltip .tooltip-arrow {\n  width: 0;\n  height: 0;\n  border-style: solid;\n  position: absolute;\n  margin: 5px;\n  border-color: black;\n  z-index: 1;\n}\n\n.tooltip[x-placement^=top] {\n  margin-bottom: 5px;\n}\n\n.tooltip[x-placement^=top] .tooltip-arrow {\n  border-width: 5px 5px 0 5px;\n  border-left-color: transparent !important;\n  border-right-color: transparent !important;\n  border-bottom-color: transparent !important;\n  bottom: -5px;\n  left: calc(50% - 5px);\n  margin-top: 0;\n  margin-bottom: 0;\n}\n\n.tooltip[x-placement^=bottom] {\n  margin-top: 5px;\n}\n\n.tooltip[x-placement^=bottom] .tooltip-arrow {\n  border-width: 0 5px 5px 5px;\n  border-left-color: transparent !important;\n  border-right-color: transparent !important;\n  border-top-color: transparent !important;\n  top: -5px;\n  left: calc(50% - 5px);\n  margin-top: 0;\n  margin-bottom: 0;\n}\n\n.tooltip[x-placement^=right] {\n  margin-left: 5px;\n}\n\n.tooltip[x-placement^=right] .tooltip-arrow {\n  border-width: 5px 5px 5px 0;\n  border-left-color: transparent !important;\n  border-top-color: transparent !important;\n  border-bottom-color: transparent !important;\n  left: -5px;\n  top: calc(50% - 5px);\n  margin-left: 0;\n  margin-right: 0;\n}\n\n.tooltip[x-placement^=left] {\n  margin-right: 5px;\n}\n\n.tooltip[x-placement^=left] .tooltip-arrow {\n  border-width: 5px 0 5px 5px;\n  border-top-color: transparent !important;\n  border-right-color: transparent !important;\n  border-bottom-color: transparent !important;\n  right: -5px;\n  top: calc(50% - 5px);\n  margin-left: 0;\n  margin-right: 0;\n}\n\n.tooltip.popover .popover-inner {\n  background: #f9f9f9;\n  color: black;\n  padding: 24px;\n  border-radius: 5px;\n  box-shadow: 0 5px 30px rgba(0, 0, 0, 0.1);\n}\n\n.tooltip.popover .popover-arrow {\n  border-color: #f9f9f9;\n}\n\n.tooltip[aria-hidden=true] {\n  visibility: hidden;\n  opacity: 0;\n  transition: opacity 0.15s, visibility 0.15s;\n}\n\n.tooltip[aria-hidden=false] {\n  visibility: visible;\n  opacity: 1;\n  transition: opacity 0.15s;\n}\n\n/*# sourceMappingURL=Editor.vue.map */"]
    },
    media: undefined
  });
};
/* scoped */


var __vue_scope_id__ = undefined;
/* module identifier */

var __vue_module_identifier__ = undefined;
/* functional template */

var __vue_is_functional_template__ = false;
/* style inject SSR */

/* style inject shadow dom */

var __vue_component__ = /*#__PURE__*/normalizeComponent({
  render: __vue_render__,
  staticRenderFns: __vue_staticRenderFns__
}, __vue_inject_styles__, __vue_script__, __vue_scope_id__, __vue_is_functional_template__, __vue_module_identifier__, false, createInjector, undefined, undefined);

export default __vue_component__;
